Index: BOOK/boot/common/e2fsprogs.xml
===================================================================
--- BOOK/boot/common/e2fsprogs.xml	(revision 6c32364f7ce07a0103221f9e1cd0235361a5a860)
+++ BOOK/boot/common/e2fsprogs.xml	(revision 528da83da67bae7c99062cfdc08e61a534d54142)
@@ -37,5 +37,5 @@
 <screen os="aa"><userinput>../configure --prefix=/tools \
     --enable-elf-shlibs --disable-evms \
-    --host=${LFS_TARGET}</userinput></screen>
+    --build=${LFS_HOST} --host=${LFS_TARGET}</userinput></screen>
 
     <variablelist os="e">
Index: BOOK/boot/common/module-init-tools.xml
===================================================================
--- BOOK/boot/common/module-init-tools.xml	(revision 6c32364f7ce07a0103221f9e1cd0235361a5a860)
+++ BOOK/boot/common/module-init-tools.xml	(revision 528da83da67bae7c99062cfdc08e61a534d54142)
@@ -28,5 +28,5 @@
 
 <screen os="f"><userinput>./configure --prefix=/ \
-    --host=${LFS_TARGET}</userinput></screen>
+    --build=${LFS_HOST} --host=${LFS_TARGET}</userinput></screen>
 
     <xi:include xmlns:xi="http://www.w3.org/2003/XInclude"
Index: BOOK/boot/multilib/module-init-tools.xml
===================================================================
--- BOOK/boot/multilib/module-init-tools.xml	(revision 6c32364f7ce07a0103221f9e1cd0235361a5a860)
+++ BOOK/boot/multilib/module-init-tools.xml	(revision 528da83da67bae7c99062cfdc08e61a534d54142)
@@ -28,5 +28,5 @@
 
 <screen os="f"><userinput>CC="${CC} ${BUILD64}" ./configure --prefix=/ \
-   --host=${LFS_TARGET}</userinput></screen>
+   --build=${LFS_HOST} --host=${LFS_TARGET}</userinput></screen>
 
     <xi:include xmlns:xi="http://www.w3.org/2003/XInclude"
Index: BOOK/boot/ppc64/e2fsprogs.xml
===================================================================
--- BOOK/boot/ppc64/e2fsprogs.xml	(revision 6c32364f7ce07a0103221f9e1cd0235361a5a860)
+++ BOOK/boot/ppc64/e2fsprogs.xml	(revision 528da83da67bae7c99062cfdc08e61a534d54142)
@@ -56,5 +56,5 @@
 <screen os="aa"><userinput>CC="${CC} ${BUILD64}" ../configure --prefix=/tools \
 --enable-elf-shlibs --disable-evms \
---host=${LFS_TARGET} --cache-file=config.cache</userinput></screen>
+--build=${LFS_HOST} --host=${LFS_TARGET} --cache-file=config.cache</userinput></screen>
 
     <xi:include xmlns:xi="http://www.w3.org/2003/XInclude"
Index: BOOK/boot/x86/grub-build.xml
===================================================================
--- BOOK/boot/x86/grub-build.xml	(revision 6c32364f7ce07a0103221f9e1cd0235361a5a860)
+++ BOOK/boot/x86/grub-build.xml	(revision 528da83da67bae7c99062cfdc08e61a534d54142)
@@ -40,5 +40,5 @@
 
 <screen os="aa"><userinput>./configure --prefix=/usr \
-   --host=${LFS_TARGET}</userinput></screen>
+   --build=${LFS_HOST} --host=${LFS_TARGET}</userinput></screen>
 
     <xi:include xmlns:xi="http://www.w3.org/2003/XInclude"
Index: BOOK/boot/x86_64/grub-build.xml
===================================================================
--- BOOK/boot/x86_64/grub-build.xml	(revision 6c32364f7ce07a0103221f9e1cd0235361a5a860)
+++ BOOK/boot/x86_64/grub-build.xml	(revision 528da83da67bae7c99062cfdc08e61a534d54142)
@@ -32,5 +32,5 @@
 
 <screen os="aa"><userinput>CC="${CC} ${BUILD32}" ./configure --prefix=/usr \
-   --host=${LFS_TARGET}</userinput></screen>
+   --build=${LFS_HOST} --host=${LFS_TARGET}</userinput></screen>
 
     <xi:include xmlns:xi="http://www.w3.org/2003/XInclude"
Index: BOOK/general.ent
===================================================================
--- BOOK/general.ent	(revision 6c32364f7ce07a0103221f9e1cd0235361a5a860)
+++ BOOK/general.ent	(revision 528da83da67bae7c99062cfdc08e61a534d54142)
@@ -5,6 +5,6 @@
 <!ENTITY extra-version "0rc1">
 
-<!ENTITY version "SVN-&major-version;.&minor-version;.&extra-version;-20060628">
-<!ENTITY releasedate "June 28, 2006">
+<!ENTITY version "SVN-&major-version;.&minor-version;.&extra-version;-20060629">
+<!ENTITY releasedate "June 29, 2006">
 <!ENTITY milestone "0.1">
 <!ENTITY generic-version "svn"> <!-- Use "svn", "testing", or "x.y[-pre{x}]" -->
Index: BOOK/introduction/common/changelog.xml
===================================================================
--- BOOK/introduction/common/changelog.xml	(revision 6c32364f7ce07a0103221f9e1cd0235361a5a860)
+++ BOOK/introduction/common/changelog.xml	(revision 528da83da67bae7c99062cfdc08e61a534d54142)
@@ -38,4 +38,14 @@
 
     <listitem>
+      <para>June 29, 2006</para>
+      <itemizedlist>
+        <listitem>
+          <para>[jim] - Updated Temp-System and Boot builds to be more
+	   consistant. Added --build=${LFS_HOST}, where possible.</para>
+        </listitem>
+      </itemizedlist>
+    </listitem>
+
+    <listitem>
       <para>June 27, 2006</para>
       <itemizedlist>
Index: BOOK/temp-system/64/ncurses.xml
===================================================================
--- BOOK/temp-system/64/ncurses.xml	(revision 6c32364f7ce07a0103221f9e1cd0235361a5a860)
+++ BOOK/temp-system/64/ncurses.xml	(revision 528da83da67bae7c99062cfdc08e61a534d54142)
@@ -28,5 +28,5 @@
 
 <screen os="b"><userinput>CC="${CC} ${BUILD64}" CXX="${CXX} ${BUILD64}" \
-   ./configure --prefix=/tools --with-shared \
+   ./configure --prefix=/tools --with-shared --build=${LFS_HOST} \
    --host=${LFS_TARGET} --without-debug --without-ada \
    --enable-overwrite --with-build-cc=gcc</userinput></screen>
Index: BOOK/temp-system/common/bash.xml
===================================================================
--- BOOK/temp-system/common/bash.xml	(revision 6c32364f7ce07a0103221f9e1cd0235361a5a860)
+++ BOOK/temp-system/common/bash.xml	(revision 528da83da67bae7c99062cfdc08e61a534d54142)
@@ -32,6 +32,6 @@
 
 <screen os="h"><userinput>./configure --prefix=/tools \
-    --without-bash-malloc --host=${LFS_TARGET} \
-    --cache-file=config.cache</userinput></screen>
+    --build=${LFS_HOST} --host=${LFS_TARGET} \
+    --without-bash-malloc --cache-file=config.cache</userinput></screen>
 
     <variablelist os="ad">
Index: BOOK/temp-system/common/diffutils.xml
===================================================================
--- BOOK/temp-system/common/diffutils.xml	(revision 6c32364f7ce07a0103221f9e1cd0235361a5a860)
+++ BOOK/temp-system/common/diffutils.xml	(revision 528da83da67bae7c99062cfdc08e61a534d54142)
@@ -26,5 +26,5 @@
 
 <screen os="b"><userinput>./configure --prefix=/tools \
-    --host=${LFS_TARGET}</userinput></screen>
+     --build=${LFS_HOST} --host=${LFS_TARGET}</userinput></screen>
 
     <para os="c">Compile the package:</para>
Index: BOOK/temp-system/common/findutils.xml
===================================================================
--- BOOK/temp-system/common/findutils.xml	(revision 6c32364f7ce07a0103221f9e1cd0235361a5a860)
+++ BOOK/temp-system/common/findutils.xml	(revision 528da83da67bae7c99062cfdc08e61a534d54142)
@@ -33,5 +33,6 @@
 
 <screen os="ac"><userinput>./configure --prefix=/tools \
-    --host=${LFS_TARGET} --cache-file=config.cache</userinput></screen>
+     --build=${LFS_HOST} --host=${LFS_TARGET} \
+     --cache-file=config.cache</userinput></screen>
 
     <xi:include xmlns:xi="http://www.w3.org/2003/XInclude"
Index: BOOK/temp-system/common/gettext.xml
===================================================================
--- BOOK/temp-system/common/gettext.xml	(revision 6c32364f7ce07a0103221f9e1cd0235361a5a860)
+++ BOOK/temp-system/common/gettext.xml	(revision 528da83da67bae7c99062cfdc08e61a534d54142)
@@ -32,6 +32,6 @@
 
 <screen os="d"><userinput>./configure --prefix=/tools \
-    --host=${LFS_TARGET} --disable-shared \
-    --cache-file=config.cache</userinput></screen>
+     --build=${LFS_HOST} --host=${LFS_TARGET} \
+     --disable-shared --cache-file=config.cache</userinput></screen>
 
     <variablelist os="e">
Index: BOOK/temp-system/common/grep.xml
===================================================================
--- BOOK/temp-system/common/grep.xml	(revision 6c32364f7ce07a0103221f9e1cd0235361a5a860)
+++ BOOK/temp-system/common/grep.xml	(revision 528da83da67bae7c99062cfdc08e61a534d54142)
@@ -28,5 +28,6 @@
 
 <screen os="ca"><userinput>./configure --prefix=/tools \
-    --host=${LFS_TARGET} --disable-perl-regexp</userinput></screen>
+     --build=${LFS_HOST} --host=${LFS_TARGET} \
+     --disable-perl-regexp</userinput></screen>
 
     <variablelist os="cb">
Index: BOOK/temp-system/common/gzip.xml
===================================================================
--- BOOK/temp-system/common/gzip.xml	(revision 6c32364f7ce07a0103221f9e1cd0235361a5a860)
+++ BOOK/temp-system/common/gzip.xml	(revision 528da83da67bae7c99062cfdc08e61a534d54142)
@@ -34,5 +34,5 @@
 
 <screen os="ac"><userinput>./configure --prefix=/tools \
-    --host=${LFS_TARGET}</userinput></screen>
+     --build=${LFS_HOST} --host=${LFS_TARGET}</userinput></screen>
 
     <xi:include xmlns:xi="http://www.w3.org/2003/XInclude"
Index: BOOK/temp-system/common/make.xml
===================================================================
--- BOOK/temp-system/common/make.xml	(revision 6c32364f7ce07a0103221f9e1cd0235361a5a860)
+++ BOOK/temp-system/common/make.xml	(revision 528da83da67bae7c99062cfdc08e61a534d54142)
@@ -28,5 +28,5 @@
 
 <screen os="aa"><userinput>./configure --prefix=/tools \
-    --host=${LFS_TARGET}</userinput></screen>
+     --build=${LFS_HOST} --host=${LFS_TARGET}</userinput></screen>
 
     <xi:include xmlns:xi="http://www.w3.org/2003/XInclude"
Index: BOOK/temp-system/common/ncurses.xml
===================================================================
--- BOOK/temp-system/common/ncurses.xml	(revision 6c32364f7ce07a0103221f9e1cd0235361a5a860)
+++ BOOK/temp-system/common/ncurses.xml	(revision 528da83da67bae7c99062cfdc08e61a534d54142)
@@ -28,5 +28,6 @@
 
 <screen os="b"><userinput>./configure --prefix=/tools --with-shared \
-    --host=${LFS_TARGET} --without-debug --without-ada \
+    --build=${LFS_HOST} --host=${LFS_TARGET} \
+    --without-debug --without-ada \
     --enable-overwrite --with-build-cc=gcc</userinput></screen>
 
Index: BOOK/temp-system/common/patch.xml
===================================================================
--- BOOK/temp-system/common/patch.xml	(revision 6c32364f7ce07a0103221f9e1cd0235361a5a860)
+++ BOOK/temp-system/common/patch.xml	(revision 528da83da67bae7c99062cfdc08e61a534d54142)
@@ -25,5 +25,6 @@
     <para os="a">Prepare Patch for compilation:</para>
 
-<screen os="b"><userinput>./configure --prefix=/tools --host=${LFS_TARGET}</userinput></screen>
+<screen os="b"><userinput>./configure --prefix=/tools \
+    --build=${LFS_HOST} --host=${LFS_TARGET}</userinput></screen>
 
     <para os="c">Compile the package:</para>
Index: BOOK/temp-system/common/sed.xml
===================================================================
--- BOOK/temp-system/common/sed.xml	(revision 6c32364f7ce07a0103221f9e1cd0235361a5a860)
+++ BOOK/temp-system/common/sed.xml	(revision 528da83da67bae7c99062cfdc08e61a534d54142)
@@ -26,5 +26,5 @@
 
 <screen os="b"><userinput>./configure --prefix=/tools \
-    --host=${LFS_TARGET}</userinput></screen>
+     --build=${LFS_HOST} --host=${LFS_TARGET}</userinput></screen>
 
     <para os="c">Compile the package:</para>
Index: BOOK/temp-system/common/tar.xml
===================================================================
--- BOOK/temp-system/common/tar.xml	(revision 6c32364f7ce07a0103221f9e1cd0235361a5a860)
+++ BOOK/temp-system/common/tar.xml	(revision 528da83da67bae7c99062cfdc08e61a534d54142)
@@ -33,5 +33,6 @@
 
 <screen os="b"><userinput>./configure --prefix=/tools \
-    --host=${LFS_TARGET} --cache-file=config.cache</userinput></screen>
+     --build=${LFS_HOST} --host=${LFS_TARGET} \
+     --cache-file=config.cache</userinput></screen>
 
     <xi:include xmlns:xi="http://www.w3.org/2003/XInclude"
Index: BOOK/temp-system/multilib/bash.xml
===================================================================
--- BOOK/temp-system/multilib/bash.xml	(revision 6c32364f7ce07a0103221f9e1cd0235361a5a860)
+++ BOOK/temp-system/multilib/bash.xml	(revision 528da83da67bae7c99062cfdc08e61a534d54142)
@@ -37,6 +37,6 @@
 <screen os="h"><userinput>CC="${CC} ${BUILD64}" CXX="${CXX} ${BUILD64}" \
    ./configure --prefix=/tools \
-   --without-bash-malloc --host=${LFS_TARGET} \
-   --cache-file=config.cache</userinput></screen>
+   --build=${LFS_HOST} --host=${LFS_TARGET} \
+   --without-bash-malloc --cache-file=config.cache</userinput></screen>
 
     <xi:include xmlns:xi="http://www.w3.org/2003/XInclude"
Index: BOOK/temp-system/multilib/diffutils.xml
===================================================================
--- BOOK/temp-system/multilib/diffutils.xml	(revision 6c32364f7ce07a0103221f9e1cd0235361a5a860)
+++ BOOK/temp-system/multilib/diffutils.xml	(revision 528da83da67bae7c99062cfdc08e61a534d54142)
@@ -28,5 +28,5 @@
 
 <screen os="b"><userinput>CC="${CC} ${BUILD64}" ./configure --prefix=/tools \
-  --host=${LFS_TARGET}</userinput></screen>
+  --build=${LFS_HOST} --host=${LFS_TARGET}</userinput></screen>
 
     <xi:include xmlns:xi="http://www.w3.org/2003/XInclude"
Index: BOOK/temp-system/multilib/findutils.xml
===================================================================
--- BOOK/temp-system/multilib/findutils.xml	(revision 6c32364f7ce07a0103221f9e1cd0235361a5a860)
+++ BOOK/temp-system/multilib/findutils.xml	(revision 528da83da67bae7c99062cfdc08e61a534d54142)
@@ -36,5 +36,5 @@
 
 <screen os="ac"><userinput>CC="${CC} ${BUILD64}" ./configure --prefix=/tools \
-   --host=${LFS_TARGET} --cache-file=config.cache</userinput></screen>
+   --build=${LFS_HOST} --host=${LFS_TARGET} --cache-file=config.cache</userinput></screen>
 
     <xi:include xmlns:xi="http://www.w3.org/2003/XInclude"
Index: BOOK/temp-system/multilib/gettext.xml
===================================================================
--- BOOK/temp-system/multilib/gettext.xml	(revision 6c32364f7ce07a0103221f9e1cd0235361a5a860)
+++ BOOK/temp-system/multilib/gettext.xml	(revision 528da83da67bae7c99062cfdc08e61a534d54142)
@@ -37,5 +37,5 @@
 <screen os="d"><userinput>CC="${CC} ${BUILD64}" CXX="${CXX} ${BUILD64}" \
    ./configure --prefix=/tools \
-   --host=${LFS_TARGET} --disable-shared \
+   --build=${LFS_HOST} --host=${LFS_TARGET} --disable-shared \
    --cache-file=config.cache</userinput></screen>
 
Index: BOOK/temp-system/multilib/grep.xml
===================================================================
--- BOOK/temp-system/multilib/grep.xml	(revision 6c32364f7ce07a0103221f9e1cd0235361a5a860)
+++ BOOK/temp-system/multilib/grep.xml	(revision 528da83da67bae7c99062cfdc08e61a534d54142)
@@ -28,5 +28,6 @@
 
 <screen os="ca"><userinput>CC="${CC} ${BUILD64}" ./configure --prefix=/tools \
-   --host=${LFS_TARGET} --disable-perl-regexp</userinput></screen>
+   --build=${LFS_HOST} --host=${LFS_TARGET} \
+   --disable-perl-regexp</userinput></screen>
 
     <xi:include xmlns:xi="http://www.w3.org/2003/XInclude"
Index: BOOK/temp-system/multilib/gzip.xml
===================================================================
--- BOOK/temp-system/multilib/gzip.xml	(revision 6c32364f7ce07a0103221f9e1cd0235361a5a860)
+++ BOOK/temp-system/multilib/gzip.xml	(revision 528da83da67bae7c99062cfdc08e61a534d54142)
@@ -36,5 +36,5 @@
 
 <screen os="ac"><userinput>CC="${CC} ${BUILD64}" ./configure --prefix=/tools \
-  --host=${LFS_TARGET}</userinput></screen>
+  --build=${LFS_HOST} --host=${LFS_TARGET}</userinput></screen>
 
     <xi:include xmlns:xi="http://www.w3.org/2003/XInclude"
Index: BOOK/temp-system/multilib/make.xml
===================================================================
--- BOOK/temp-system/multilib/make.xml	(revision 6c32364f7ce07a0103221f9e1cd0235361a5a860)
+++ BOOK/temp-system/multilib/make.xml	(revision 528da83da67bae7c99062cfdc08e61a534d54142)
@@ -28,5 +28,5 @@
 
 <screen os="aa"><userinput>CC="${CC} ${BUILD64}" ./configure --prefix=/tools \
-   --host=${LFS_TARGET}</userinput></screen>
+   --build=${LFS_HOST} --host=${LFS_TARGET}</userinput></screen>
 
     <xi:include xmlns:xi="http://www.w3.org/2003/XInclude"
Index: BOOK/temp-system/multilib/ncurses.xml
===================================================================
--- BOOK/temp-system/multilib/ncurses.xml	(revision 6c32364f7ce07a0103221f9e1cd0235361a5a860)
+++ BOOK/temp-system/multilib/ncurses.xml	(revision 528da83da67bae7c99062cfdc08e61a534d54142)
@@ -29,6 +29,8 @@
 <screen os="b"><userinput>CC="${CC} ${BUILD64}" CXX="${CXX} ${BUILD64}" \
    ./configure --prefix=/tools --with-shared \
-   --host=${LFS_TARGET} --without-debug --without-ada \
-   --enable-overwrite --with-build-cc=gcc --libdir=/tools/lib64</userinput></screen>
+   --build=${LFS_HOST} --host=${LFS_TARGET} \
+   --without-debug --without-ada \
+   --enable-overwrite --with-build-cc=gcc \
+   --libdir=/tools/lib64</userinput></screen>
 
     <xi:include xmlns:xi="http://www.w3.org/2003/XInclude"
Index: BOOK/temp-system/multilib/patch.xml
===================================================================
--- BOOK/temp-system/multilib/patch.xml	(revision 6c32364f7ce07a0103221f9e1cd0235361a5a860)
+++ BOOK/temp-system/multilib/patch.xml	(revision 528da83da67bae7c99062cfdc08e61a534d54142)
@@ -28,5 +28,5 @@
 
 <screen os="b"><userinput>CC="${CC} ${BUILD64}" ./configure --prefix=/tools \
-    --host=${LFS_TARGET}</userinput></screen>
+    --build=${LFS_HOST} --host=${LFS_TARGET}</userinput></screen>
 
     <xi:include xmlns:xi="http://www.w3.org/2003/XInclude"
Index: BOOK/temp-system/multilib/sed.xml
===================================================================
--- BOOK/temp-system/multilib/sed.xml	(revision 6c32364f7ce07a0103221f9e1cd0235361a5a860)
+++ BOOK/temp-system/multilib/sed.xml	(revision 528da83da67bae7c99062cfdc08e61a534d54142)
@@ -28,5 +28,5 @@
 
 <screen os="b"><userinput>CC="${CC} ${BUILD64}" ./configure --prefix=/tools \
-   --host=${LFS_TARGET}</userinput></screen>
+   --build=${LFS_HOST} --host=${LFS_TARGET}</userinput></screen>
 
     <xi:include xmlns:xi="http://www.w3.org/2003/XInclude"
Index: BOOK/temp-system/multilib/tar.xml
===================================================================
--- BOOK/temp-system/multilib/tar.xml	(revision 6c32364f7ce07a0103221f9e1cd0235361a5a860)
+++ BOOK/temp-system/multilib/tar.xml	(revision 528da83da67bae7c99062cfdc08e61a534d54142)
@@ -36,5 +36,6 @@
 
 <screen os="b"><userinput>CC="${CC} ${BUILD64}" ./configure --prefix=/tools \
-   --host=${LFS_TARGET} --cache-file=config.cache</userinput></screen>
+   --build=${LFS_HOST} --host=${LFS_TARGET} \
+   --cache-file=config.cache</userinput></screen>
 
     <xi:include xmlns:xi="http://www.w3.org/2003/XInclude"