Index: BOOK/cross-tools/arm/abi.xml
===================================================================
--- BOOK/cross-tools/arm/abi.xml	(revision 9f0beb084d06e5580ca18c6f9e5dc818dfa0a23d)
+++ BOOK/cross-tools/arm/abi.xml	(revision 541ad7b9040d43e4a28c4638a0b7ab76e4216988)
@@ -25,13 +25,13 @@
 
   <xi:include xmlns:xi="http://www.w3.org/2003/XInclude"
-  href="../x86/abi.xml"
+  href="../common/abi.xml"
   xpointer="xpointer(//*[@os='a'])"/>
 
   <xi:include xmlns:xi="http://www.w3.org/2003/XInclude"
-  href="../x86/abi.xml"
+  href="../common/abi.xml"
   xpointer="xpointer(//*[@os='b'])"/>
 
   <xi:include xmlns:xi="http://www.w3.org/2003/XInclude"
-  href="../x86/abi.xml"
+  href="../common/abi.xml"
   xpointer="xpointer(//*[@os='c'])"/>
 
Index: BOOK/cross-tools/common/abi.xml
===================================================================
--- BOOK/cross-tools/common/abi.xml	(revision 541ad7b9040d43e4a28c4638a0b7ab76e4216988)
+++ BOOK/cross-tools/common/abi.xml	(revision 541ad7b9040d43e4a28c4638a0b7ab76e4216988)
@@ -0,0 +1,54 @@
+<?xml version="1.0" encoding="ISO-8859-1"?>
+<!DOCTYPE sect1 PUBLIC "-//OASIS//DTD DocBook XML V4.5//EN"
+  "http://www.oasis-open.org/docbook/xml/4.5/docbookx.dtd" [
+  <!ENTITY % general-entities SYSTEM "../../general.ent">
+  %general-entities;
+]>
+
+<sect1 id="ch-system-abi">
+  <?dbhtml filename="abi.html"?>
+
+  <title>ABI Variables</title>
+
+  <para os="a" >Setup for a Particular ABI:</para>
+
+<screen os="b"><userinput>export BUILD="<replaceable>[From Chart]</replaceable>"
+echo export BUILD=\""${BUILD}\"" &gt;&gt; ~/.bashrc</userinput></screen>
+
+  <para os="c">The following table gives the entires for the different ABI's 
+  that CLFS Embedded supports. Make sure you select one for your build, this
+  will ensure capatibilty of your build with your target architecture.</para>
+
+  <table>
+    <title>List of Build Variables</title>
+    <?dbfo table-width="3in" ?>
+
+    <tgroup cols="2">
+
+      <colspec colnum="1" colwidth="1.5in" colname="ABI to Select"/>
+      <colspec colnum="2" colwidth="1.5in" colname="Variable Value"/>
+
+      <thead>
+        <row>
+          <entry>ABI</entry>
+          <entry>BUILD=Value</entry>
+        </row>
+      </thead>
+
+      <tbody>
+        <row>
+          <entry>32-Bit for x86 and x86_64</entry>
+          <entry>-m32</entry>
+        </row>
+        <row>
+          <entry>64-Bit for x86_64 only</entry>
+          <entry>-m64</entry>
+        </row>
+      </tbody>
+
+    </tgroup>
+
+  </table>
+
+</sect1>
+
Index: BOOK/cross-tools/mips/abi.xml
===================================================================
--- BOOK/cross-tools/mips/abi.xml	(revision 9f0beb084d06e5580ca18c6f9e5dc818dfa0a23d)
+++ BOOK/cross-tools/mips/abi.xml	(revision 541ad7b9040d43e4a28c4638a0b7ab76e4216988)
@@ -12,13 +12,13 @@
 
   <xi:include xmlns:xi="http://www.w3.org/2003/XInclude"
-  href="../x86/abi.xml"
+  href="../common/abi.xml"
   xpointer="xpointer(//*[@os='a'])"/>
 
   <xi:include xmlns:xi="http://www.w3.org/2003/XInclude"
-  href="../x86/abi.xml"
+  href="../common/abi.xml"
   xpointer="xpointer(//*[@os='b'])"/>
 
   <xi:include xmlns:xi="http://www.w3.org/2003/XInclude"
-  href="../x86/abi.xml"
+  href="../common/abi.xml"
   xpointer="xpointer(//*[@os='c'])"/>
 
Index: OK/cross-tools/x86/abi.xml
===================================================================
--- BOOK/cross-tools/x86/abi.xml	(revision 9f0beb084d06e5580ca18c6f9e5dc818dfa0a23d)
+++ 	(revision )
@@ -1,54 +1,0 @@
-<?xml version="1.0" encoding="ISO-8859-1"?>
-<!DOCTYPE sect1 PUBLIC "-//OASIS//DTD DocBook XML V4.5//EN"
-  "http://www.oasis-open.org/docbook/xml/4.5/docbookx.dtd" [
-  <!ENTITY % general-entities SYSTEM "../../general.ent">
-  %general-entities;
-]>
-
-<sect1 id="ch-system-abi">
-  <?dbhtml filename="abi.html"?>
-
-  <title>ABI Variables</title>
-
-  <para os="a" >Setup for a Particular ABI:</para>
-
-<screen os="b"><userinput>export BUILD="<replaceable>[From Chart]</replaceable>"
-echo export BUILD=\""${BUILD}\"" &gt;&gt; ~/.bashrc</userinput></screen>
-
-  <para os="c">The following table gives the entires for the different ABI's 
-  that CLFS Embedded supports. Make sure you select one for your build, this
-  will ensure capatibilty of your build with your target architecture.</para>
-
-  <table>
-    <title>List of Build Variables</title>
-    <?dbfo table-width="3in" ?>
-
-    <tgroup cols="2">
-
-      <colspec colnum="1" colwidth="1.5in" colname="ABI to Select"/>
-      <colspec colnum="2" colwidth="1.5in" colname="Variable Value"/>
-
-      <thead>
-        <row>
-          <entry>ABI</entry>
-          <entry>BUILD=Value</entry>
-        </row>
-      </thead>
-
-      <tbody>
-        <row>
-          <entry>32-Bit for x86 and x86_64</entry>
-          <entry>-m32</entry>
-        </row>
-        <row>
-          <entry>64-Bit for x86_64 only</entry>
-          <entry>-m64</entry>
-        </row>
-      </tbody>
-
-    </tgroup>
-
-  </table>
-
-</sect1>
-