Index: BOOK/temp-system/common/choose.xml
===================================================================
--- BOOK/temp-system/common/choose.xml	(revision d5cb735e6bce9cdfe637688517895999a034fb95)
+++ BOOK/temp-system/common/choose.xml	(revision 555d306f3360349447852432b711b54d5a764877)
@@ -11,5 +11,5 @@
   <title>To Boot or to Chroot?</title>
 
-  <para os="a"> There are two different ways you can proceed from this point
+  <para os="a">There are two different ways you can proceed from this point
   to build the final system. You can build a kernel, a bootloader, and
   a few other utilities, boot into the temporary system, and build the
@@ -35,7 +35,7 @@
   different architecture, such as building a PowerPC system from an x86. The
   rule of thumb here is that if the architectures match and you are running
-  the same series kernel you can just chroot. If you aren't running the same
-  series kernel, or are wanting to run a different ABI, you will need to use
-  the boot option.</para>
+  the same series kernel (specifically, a 2.6.32 or newer Linux kernel) you
+  can just chroot. If you aren't running the same series kernel, or are
+  wanting to run a different ABI, you will need to use the boot option.</para>
 
   <para os="d">If you are in any doubt about this, you can try the following
@@ -48,16 +48,7 @@
   boot method.</para>
 
-  <para os="g">To chroot, you will also need a Linux Kernel, version
-  2.6.32 or higher, having been compiled with GCC-4.1.2 or greater.
-  This is required because Glibc was built to generate libraries for the
-  smallest version of the Linux kernel expected to be supported.</para>
+  <para os="g">For the boot method, follow <xref linkend="chapter-boot"/>.</para>
 
-  <para os="h">To check your kernel version, run <command>cat /proc/version</command>
-  - if it does not say that you are running a 2.6.32 or later Linux kernel,
-  compiled with GCC 4.1.2 or later, you cannot chroot.</para>
-
-  <para os="i">For the boot method, follow <xref linkend="chapter-boot"/>.</para>
-
-  <para os="j">For the chroot method, follow <xref linkend="chapter-chroot"/>.</para>
+  <para os="h">For the chroot method, follow <xref linkend="chapter-chroot"/>.</para>
 
 </sect1>
Index: BOOK/temp-system/mips64/choose.xml
===================================================================
--- BOOK/temp-system/mips64/choose.xml	(revision d5cb735e6bce9cdfe637688517895999a034fb95)
+++ BOOK/temp-system/mips64/choose.xml	(revision 555d306f3360349447852432b711b54d5a764877)
@@ -44,11 +44,3 @@
     xpointer="xpointer(//*[@os='h'])"/>
 
-    <xi:include xmlns:xi="http://www.w3.org/2001/XInclude"
-    href="../common/choose.xml"
-    xpointer="xpointer(//*[@os='i'])"/>
-
-    <xi:include xmlns:xi="http://www.w3.org/2001/XInclude"
-    href="../common/choose.xml"
-    xpointer="xpointer(//*[@os='j'])"/>
-
 </sect1>
Index: BOOK/temp-system/multilib/choose.xml
===================================================================
--- BOOK/temp-system/multilib/choose.xml	(revision d5cb735e6bce9cdfe637688517895999a034fb95)
+++ BOOK/temp-system/multilib/choose.xml	(revision 555d306f3360349447852432b711b54d5a764877)
@@ -42,11 +42,3 @@
     xpointer="xpointer(//*[@os='h'])"/>
 
-    <xi:include xmlns:xi="http://www.w3.org/2001/XInclude"
-    href="../common/choose.xml"
-    xpointer="xpointer(//*[@os='i'])"/>
-
-    <xi:include xmlns:xi="http://www.w3.org/2001/XInclude"
-    href="../common/choose.xml"
-    xpointer="xpointer(//*[@os='j'])"/>
-
 </sect1>
Index: BOOK/temp-system/ppc64/choose.xml
===================================================================
--- BOOK/temp-system/ppc64/choose.xml	(revision d5cb735e6bce9cdfe637688517895999a034fb95)
+++ BOOK/temp-system/ppc64/choose.xml	(revision 555d306f3360349447852432b711b54d5a764877)
@@ -40,9 +40,9 @@
     <xi:include xmlns:xi="http://www.w3.org/2001/XInclude"
     href="../common/choose.xml"
-    xpointer="xpointer(//*[@os='i'])"/>
+    xpointer="xpointer(//*[@os='g'])"/>
 
     <xi:include xmlns:xi="http://www.w3.org/2001/XInclude"
     href="../common/choose.xml"
-    xpointer="xpointer(//*[@os='j'])"/>
+    xpointer="xpointer(//*[@os='h'])"/>
 
 </sect1>