Index: BOOK/general.ent
===================================================================
--- BOOK/general.ent	(revision 5c45d545e5db4b3e171ef8f921fbef4a1b6284d4)
+++ BOOK/general.ent	(revision 576a66b6a1a40d7ce9ef93a5ee8ff17b91b0c462)
@@ -1,5 +1,5 @@
 <?xml version="1.0" encoding="ISO-8859-1"?>
 
-<!ENTITY version "CLFS-SVN-20060516">
+<!ENTITY version "SVN-20060516">
 <!ENTITY version-x86 "&version;-x86">
 <!ENTITY version-x86_64 "&version;-x86_64-Multilib">
@@ -21,4 +21,5 @@
 
 <!ENTITY lfs-root "http://www.linuxfromscratch.org/">
+<!ENTITY clfs-root "http:/trac.cross-lfs.org/">
 <!ENTITY blfs-root "&lfs-root;blfs/">
 <!ENTITY faq-root "&lfs-root;faq/">
@@ -26,6 +27,6 @@
 <!ENTITY hints-index "&lfs-root;hints/list.html">
 <!ENTITY livecd-root "&lfs-root;livecd/">
-<!ENTITY test-results "&lfs-root;clfs/build-logs/&generic-version;/">
-<!ENTITY errata "&lfs-root;clfs/errata/&generic-version;/">
+<!ENTITY test-results "&clfs-root;clfs/build-logs/&generic-version;/">
+<!ENTITY errata "&clfs-root;clfs/errata/&generic-version;/">
 
 <!ENTITY gnu "http://ftp.gnu.org/gnu/">
Index: BOOK/introduction/common/how.xml
===================================================================
--- BOOK/introduction/common/how.xml	(revision 5c45d545e5db4b3e171ef8f921fbef4a1b6284d4)
+++ BOOK/introduction/common/how.xml	(revision 576a66b6a1a40d7ce9ef93a5ee8ff17b91b0c462)
@@ -9,7 +9,7 @@
   <?dbhtml filename="how.html"?>
 
-  <title>How to Build an LFS System</title>
+  <title>How to Build a CLFS System</title>
 
-  <para>The LFS system will be built by using a previously installed
+  <para>The CLFS system will be built by using a previously installed
   Linux distribution (such as Debian, Mandrake, Red Hat, or SuSE). This
   existing Linux system (the host) will be used as a starting point to
@@ -33,7 +33,7 @@
   <para><xref linkend="chapter-partitioning"/> of this book describes how
   to create a new Linux native partition and file system, the place
-  where the new LFS system will be compiled and installed. <xref
+  where the new CLFS system will be compiled and installed. <xref
   linkend="chapter-getting-materials"/> explains which packages and
-  patches need to be downloaded to build an LFS system and how to store
+  patches need to be downloaded to build a CLFS system and how to store
   them on the new file system. <xref linkend="chapter-final-preps"/>
   discusses the setup for an appropriate working environment. Please read
@@ -47,5 +47,5 @@
   programs that run on the target machine. These cross-compile tools will
   be used to create a temporary, minimal system that will be the basis for
-  building the final LFS system. Some of these packages are needed to resolve
+  building the final CLFS system. Some of these packages are needed to resolve
   circular dependencies&mdash;for example, to compile a compiler, you need a
   compiler.</para>
@@ -71,5 +71,5 @@
   beginning of <xref linkend="chapter-temp-system"/>.</para>
 
-  <para>In <xref linkend="chapter-building-system"/>, the full LFS system is
+  <para>In <xref linkend="chapter-building-system"/>, the full CLFS system is
   built. Depending on the system you are cross-compiling for, either you will
   boot the minimal temp-system on the target machine, or chroot into it.</para>
@@ -77,20 +77,25 @@
   <para>The <command>chroot</command> (change root) program is used to enter
   a virtual environment and start a new shell whose root directory will be set
-  to the LFS partition. This is very similar to rebooting and instructing the
-  kernel to mount the LFS partition as the root partition.
+  to the CLFS partition. This is very similar to rebooting and instructing the
+  kernel to mount the CLFS partition as the root partition.
   The major advantage is that <quote>chrooting</quote> allows the builder to
-  continue using the host while LFS is being built. While waiting for package
+  continue using the host while CLFS is being built. While waiting for package
   compilation to complete, a user can switch to a different virtual console
   (VC) or X desktop and continue using the computer as normal.</para>
 
-  <para>Some systems cannot be built by chrooting so they must be booted instead. Generally, if you building for a different arch than the host system, you must reboot because the kernel will likely not support the target machine. Booting involves installing a few additional packages that are needed for bootup, installing bootscripts, and building a miminal kernel.</para>
+  <para>Some systems cannot be built by chrooting so they must be
+  booted instead. Generally, if you building for a different arch than
+  the host system, you must reboot because the kernel will likely not
+  support the target machine. Booting involves installing a few
+  additional packages that are needed for bootup, installing
+  bootscripts, and building a miminal kernel.</para>
 
-  <para>To finish the installation, the LFS-Bootscripts are set up in <xref
+  <para>To finish the installation, the CLFS-Bootscripts are set up in <xref
   linkend="chapter-bootscripts"/>, and the kernel and boot loader are set
   up in <xref linkend="chapter-bootable"/>. <xref
   linkend="chapter-finalizing"/> contains information on furthering the
-  LFS experience beyond this book.  After the steps in this book have
+  CLFS experience beyond this book.  After the steps in this book have
   been implemented, the computer will be ready to reboot into the new
-  LFS system.</para>
+  CLFS system.</para>
   <!-- -->
 
@@ -98,5 +103,5 @@
   step is discussed in the following chapters and package descriptions.
   Items that may seem complicated will be clarified, and everything will
-  fall into place as the reader embarks on the LFS adventure.</para>
+  fall into place as the reader embarks on the CLFS adventure.</para>
 
 </sect1>
Index: BOOK/introduction/common/resources.xml
===================================================================
--- BOOK/introduction/common/resources.xml	(revision 5c45d545e5db4b3e171ef8f921fbef4a1b6284d4)
+++ BOOK/introduction/common/resources.xml	(revision 576a66b6a1a40d7ce9ef93a5ee8ff17b91b0c462)
@@ -32,5 +32,6 @@
     <para>For information on the different lists, how to subscribe, archive
     locations, and additional information, visit
-    <ulink url="&lfs-root;mail.html"/>.</para>
+    <ulink url="&lfs-root;mail.html"/>. For mailing lists specifically
+    for CLFS, visit <ulink url="&clfs-root;wiki/lists"/>.</para>
 
   </sect2>
Index: BOOK/prologue/common/errata.xml
===================================================================
--- BOOK/prologue/common/errata.xml	(revision 5c45d545e5db4b3e171ef8f921fbef4a1b6284d4)
+++ BOOK/prologue/common/errata.xml	(revision 576a66b6a1a40d7ce9ef93a5ee8ff17b91b0c462)
@@ -11,8 +11,8 @@
   <title>Errata</title>
 
-  <para>The software used to create an LFS system is constantly being
+  <para>The software used to create a CLFS system is constantly being
   updated and enhanced. Security warnings and bug fixes may become
   available after the LFS book has been released. To check whether the
-  package versions or instructions in this release of LFS need any
+  package versions or instructions in this release of CLFS need any
   modifications to accommodate security vulnerabilities or other bug fixes,
   please visit <ulink url="&errata;"/> before proceeding with your build.
Index: BOOK/prologue/common/organization.xml
===================================================================
--- BOOK/prologue/common/organization.xml	(revision 5c45d545e5db4b3e171ef8f921fbef4a1b6284d4)
+++ BOOK/prologue/common/organization.xml	(revision 576a66b6a1a40d7ce9ef93a5ee8ff17b91b0c462)
@@ -49,7 +49,7 @@
 
   <sect2>
-    <title>Part V - Building the LFS System</title>
+    <title>Part V - Building the CLFS System</title>
 
-    <para>Part V guides the reader through the building of the LFS
+    <para>Part V guides the reader through the building of the CLFS
     system&mdash;compiling and installing all the packages one by one,
     setting up the boot scripts, and installing the kernel. The resulting
@@ -67,5 +67,5 @@
     anywhere else in the book. Appendix A contains definitions of acronyms and
     terms used in the book, Appendix B has Acknowledgments of people who
-    have helped work on the LFS project and website, and Appendices C
+    have helped work on the CLFS project and website, and Appendices C
     and D have information about package dependencies and the the
     build order.</para>