Index: BOOK/final-system/alpha-chapter.xml
===================================================================
--- BOOK/final-system/alpha-chapter.xml	(revision 1485386ed76dad5f5108cd99868ae3b952111039)
+++ BOOK/final-system/alpha-chapter.xml	(revision 585c819e9fcb18c4b19ef4766872c811345fc6e7)
@@ -34,4 +34,5 @@
   <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="common/gettext.xml"/>
   <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="common/inetutils.xml"/>
+  <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="common/procps.xml"/>
   <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="common/perl.xml"/>
   <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="common/iproute2.xml"/>
@@ -54,5 +55,4 @@
   <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="common/module-init-tools.xml"/>
   <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="common/patch.xml"/>
-  <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="common/procps.xml"/>
   <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="common/psmisc.xml"/>
   <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="common/shadow.xml"/>
Index: BOOK/final-system/mips-chapter.xml
===================================================================
--- BOOK/final-system/mips-chapter.xml	(revision 1485386ed76dad5f5108cd99868ae3b952111039)
+++ BOOK/final-system/mips-chapter.xml	(revision 585c819e9fcb18c4b19ef4766872c811345fc6e7)
@@ -34,4 +34,5 @@
   <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="common/gettext.xml"/>
   <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="common/inetutils.xml"/>
+  <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="common/procps.xml"/>
   <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="common/perl.xml"/>
   <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="common/iproute2.xml"/>
@@ -54,5 +55,4 @@
   <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="mips/module-init-tools.xml"/>
   <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="common/patch.xml"/>
-  <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="common/procps.xml"/>
   <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="common/psmisc.xml"/>
   <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="common/shadow.xml"/>
Index: BOOK/final-system/mips64-64-chapter.xml
===================================================================
--- BOOK/final-system/mips64-64-chapter.xml	(revision 1485386ed76dad5f5108cd99868ae3b952111039)
+++ BOOK/final-system/mips64-64-chapter.xml	(revision 585c819e9fcb18c4b19ef4766872c811345fc6e7)
@@ -34,4 +34,5 @@
   <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="common/gettext.xml"/>
   <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="common/inetutils.xml"/>
+  <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="common/procps.xml"/>
   <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="common/perl.xml"/>
   <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="common/iproute2.xml"/>
@@ -54,5 +55,4 @@
   <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="mips64/module-init-tools.xml"/>
   <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="common/patch.xml"/>
-  <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="common/procps.xml"/>
   <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="common/psmisc.xml"/>
   <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="common/shadow.xml"/>
Index: BOOK/final-system/mips64-chapter.xml
===================================================================
--- BOOK/final-system/mips64-chapter.xml	(revision 1485386ed76dad5f5108cd99868ae3b952111039)
+++ BOOK/final-system/mips64-chapter.xml	(revision 585c819e9fcb18c4b19ef4766872c811345fc6e7)
@@ -46,4 +46,7 @@
   <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="multilib/gettext-64bit.xml"/>
   <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="multilib/inetutils.xml"/>
+  <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="multilib/procps.xml"/>
+  <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="multilib/procps-n32.xml"/>
+  <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="multilib/procps-64bit.xml"/>
   <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="multilib/perl-64bit.xml"/>
   <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="multilib/iproute2.xml"/>
@@ -74,7 +77,4 @@
   <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="mips64/module-init-tools.xml"/>
   <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="multilib/patch.xml"/>
-  <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="multilib/procps.xml"/>
-  <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="multilib/procps-n32.xml"/>
-  <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="multilib/procps-64bit.xml"/>
   <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="multilib/psmisc.xml"/>
   <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="multilib/shadow.xml"/>
Index: BOOK/final-system/ppc-chapter.xml
===================================================================
--- BOOK/final-system/ppc-chapter.xml	(revision 1485386ed76dad5f5108cd99868ae3b952111039)
+++ BOOK/final-system/ppc-chapter.xml	(revision 585c819e9fcb18c4b19ef4766872c811345fc6e7)
@@ -34,4 +34,5 @@
   <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="common/gettext.xml"/>
   <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="common/inetutils.xml"/>
+  <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="common/procps.xml"/>
   <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="common/perl.xml"/>
   <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="common/iproute2.xml"/>
@@ -54,5 +55,4 @@
   <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="common/module-init-tools.xml"/>
   <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="ppc/patch.xml"/>
-  <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="common/procps.xml"/>
   <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="common/psmisc.xml"/>
   <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="common/shadow.xml"/>
Index: BOOK/final-system/sparc-chapter.xml
===================================================================
--- BOOK/final-system/sparc-chapter.xml	(revision 1485386ed76dad5f5108cd99868ae3b952111039)
+++ BOOK/final-system/sparc-chapter.xml	(revision 585c819e9fcb18c4b19ef4766872c811345fc6e7)
@@ -34,4 +34,5 @@
   <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="common/gettext.xml"/>
   <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="common/inetutils.xml"/>
+  <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="common/procps.xml"/>
   <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="common/perl.xml"/>
   <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="common/iproute2.xml"/>
@@ -54,5 +55,4 @@
   <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="common/module-init-tools.xml"/>
   <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="common/patch.xml"/>
-  <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="common/procps.xml"/>
   <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="common/psmisc.xml"/>
   <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="common/shadow.xml"/>
Index: BOOK/final-system/sparc64-64-chapter.xml
===================================================================
--- BOOK/final-system/sparc64-64-chapter.xml	(revision 1485386ed76dad5f5108cd99868ae3b952111039)
+++ BOOK/final-system/sparc64-64-chapter.xml	(revision 585c819e9fcb18c4b19ef4766872c811345fc6e7)
@@ -34,4 +34,5 @@
   <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="common/gettext.xml"/>
   <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="common/inetutils.xml"/>
+  <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="common/procps.xml"/>
   <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="common/perl.xml"/>
   <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="common/iproute2.xml"/>
@@ -54,5 +55,4 @@
   <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="common/module-init-tools.xml"/>
   <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="common/patch.xml"/>
-  <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="common/procps.xml"/>
   <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="common/psmisc.xml"/>
   <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="common/shadow.xml"/>
Index: BOOK/final-system/sparc64-chapter.xml
===================================================================
--- BOOK/final-system/sparc64-chapter.xml	(revision 1485386ed76dad5f5108cd99868ae3b952111039)
+++ BOOK/final-system/sparc64-chapter.xml	(revision 585c819e9fcb18c4b19ef4766872c811345fc6e7)
@@ -40,4 +40,6 @@
   <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="multilib/gettext-64bit.xml"/>
   <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="multilib/inetutils.xml"/>
+  <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="multilib/procps.xml"/>
+  <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="multilib/procps-64bit.xml"/>
   <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="multilib/perl-64bit.xml"/>
   <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="multilib/iproute2.xml"/>
@@ -64,6 +66,4 @@
   <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="multilib/module-init-tools.xml"/>
   <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="multilib/patch.xml"/>
-  <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="multilib/procps.xml"/>
-  <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="multilib/procps-64bit.xml"/>
   <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="multilib/psmisc.xml"/>
   <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="multilib/shadow.xml"/>
Index: BOOK/final-system/sparcv8-chapter.xml
===================================================================
--- BOOK/final-system/sparcv8-chapter.xml	(revision 1485386ed76dad5f5108cd99868ae3b952111039)
+++ BOOK/final-system/sparcv8-chapter.xml	(revision 585c819e9fcb18c4b19ef4766872c811345fc6e7)
@@ -34,4 +34,5 @@
   <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="common/gettext.xml"/>
   <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="common/inetutils.xml"/>
+  <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="common/procps.xml"/>
   <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="common/perl.xml"/>
   <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="common/iproute2.xml"/>
@@ -54,5 +55,4 @@
   <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="common/module-init-tools.xml"/>
   <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="common/patch.xml"/>
-  <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="common/procps.xml"/>
   <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="common/psmisc.xml"/>
   <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="common/shadow.xml"/>
Index: BOOK/final-system/x86-chapter.xml
===================================================================
--- BOOK/final-system/x86-chapter.xml	(revision 1485386ed76dad5f5108cd99868ae3b952111039)
+++ BOOK/final-system/x86-chapter.xml	(revision 585c819e9fcb18c4b19ef4766872c811345fc6e7)
@@ -34,4 +34,5 @@
   <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="common/gettext.xml"/>
   <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="common/inetutils.xml"/>
+  <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="common/procps.xml"/>
   <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="common/perl.xml"/>
   <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="common/iproute2.xml"/>
@@ -54,5 +55,4 @@
   <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="common/module-init-tools.xml"/>
   <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="common/patch.xml"/>
-  <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="common/procps.xml"/>
   <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="common/psmisc.xml"/>
   <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="common/shadow.xml"/>
Index: BOOK/final-system/x86_64-64-chapter.xml
===================================================================
--- BOOK/final-system/x86_64-64-chapter.xml	(revision 1485386ed76dad5f5108cd99868ae3b952111039)
+++ BOOK/final-system/x86_64-64-chapter.xml	(revision 585c819e9fcb18c4b19ef4766872c811345fc6e7)
@@ -34,4 +34,5 @@
   <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="x86_64-64/gettext.xml"/>
   <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="common/inetutils.xml"/>
+  <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="common/procps.xml"/>
   <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="common/perl.xml"/>
   <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="common/iproute2.xml"/>
@@ -54,5 +55,4 @@
   <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="common/module-init-tools.xml"/>
   <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="common/patch.xml"/>
-  <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="common/procps.xml"/>
   <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="common/psmisc.xml"/>
   <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="common/shadow.xml"/>
Index: BOOK/final-system/x86_64-chapter.xml
===================================================================
--- BOOK/final-system/x86_64-chapter.xml	(revision 1485386ed76dad5f5108cd99868ae3b952111039)
+++ BOOK/final-system/x86_64-chapter.xml	(revision 585c819e9fcb18c4b19ef4766872c811345fc6e7)
@@ -40,4 +40,6 @@
   <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="x86_64/gettext-64bit.xml"/>
   <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="multilib/inetutils.xml"/>
+  <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="multilib/procps.xml"/>
+  <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="multilib/procps-64bit.xml"/>
   <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="multilib/perl-64bit.xml"/>
   <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="multilib/iproute2.xml"/>
@@ -64,6 +66,4 @@
   <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="multilib/module-init-tools.xml"/>
   <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="multilib/patch.xml"/>
-  <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="multilib/procps.xml"/>
-  <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="multilib/procps-64bit.xml"/>
   <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="multilib/psmisc.xml"/>
   <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="multilib/shadow.xml"/>
Index: BOOK/introduction/common/changelog.xml
===================================================================
--- BOOK/introduction/common/changelog.xml	(revision 1485386ed76dad5f5108cd99868ae3b952111039)
+++ BOOK/introduction/common/changelog.xml	(revision 585c819e9fcb18c4b19ef4766872c811345fc6e7)
@@ -43,4 +43,8 @@
           <para>[jim] - Moved Tree to temp-tools, since it's not needed for the final-system.</para>
         </listitem>
+        <listitem>
+          <para>[jim] - Moved Procps before perl in the final-system build. Fixes test suite issue
+          in perl.</para>
+        </listitem>
       </itemizedlist>
     </listitem>