Index: BOOK/cross-tools/arm/glibc-headers.xml
===================================================================
--- BOOK/cross-tools/arm/glibc-headers.xml	(revision 3a6b2eab24752a4cea69b2317ed338d63dbf18c6)
+++ BOOK/cross-tools/arm/glibc-headers.xml	(revision 586feb78b379b4fe653074e6a79b8d443176860f)
@@ -68,6 +68,6 @@
 
 <screen os="i"><userinput>CC=gcc ../glibc-&glibc-version;/configure --prefix=/usr \
-   --host=${LFS_TARGET} --build=${LFS_HOST} \
-   --with-headers=${LFS}/usr/include --cache-file=config.cache</userinput></screen>
+   --host=${CLFS_TARGET} --build=${CLFS_HOST} \
+   --with-headers=${CLFS}/usr/include --cache-file=config.cache</userinput></screen>
 
     <variablelist os="dj">
@@ -82,8 +82,8 @@
  	
        <varlistentry os="dj2">
-           <term><parameter>--with-headers=${LFS}/usr/include</parameter></term>
+           <term><parameter>--with-headers=${CLFS}/usr/include</parameter></term>
            <listitem>
               <para>This tells Glibc to compile itself against the headers
-              recently installed to the <filename class="directory">${LFS}/usr/include</filename>
+              recently installed to the <filename class="directory">${CLFS}/usr/include</filename>
               directory, so that it knows exactly what features the kernel has
               and can optimize itself accordingly.</para>
@@ -101,17 +101,17 @@
 
    <para os="n">First we will copy a common file over to <filename 
-   class="directory">${LFS}/usr/include</filename>:</para>
+   class="directory">${CLFS}/usr/include</filename>:</para>
 
-<screen os="o"><userinput>install -dv ${LFS}/usr/include/bits
-cp -v bits/stdio_lim.h ${LFS}/usr/include/bits</userinput></screen>
+<screen os="o"><userinput>install -dv ${CLFS}/usr/include/bits
+cp -v bits/stdio_lim.h ${CLFS}/usr/include/bits</userinput></screen>
 
    <para os="p">Now we will create a blank stub file:</para>
 
-<screen os="q"><userinput>touch ${LFS}/usr/include/gnu/stubs.h</userinput></screen>
+<screen os="q"><userinput>touch ${CLFS}/usr/include/gnu/stubs.h</userinput></screen>
 
    <para os="r">For NPTL we use the following command:</para>
    
 <screen os="s"><userinput>cp -v ../glibc-&glibc-version;/ports/sysdeps/unix/sysv/linux/arm/nptl/bits/pthreadtypes.h \
-    ${LFS}/usr/include/bits</userinput></screen>
+    ${CLFS}/usr/include/bits</userinput></screen>
 
   </sect2>
Index: BOOK/cross-tools/arm/linux-headers.xml
===================================================================
--- BOOK/cross-tools/arm/linux-headers.xml	(revision 3a6b2eab24752a4cea69b2317ed338d63dbf18c6)
+++ BOOK/cross-tools/arm/linux-headers.xml	(revision 586feb78b379b4fe653074e6a79b8d443176860f)
@@ -37,20 +37,20 @@
     <para os="b">Install the header files that are common to all architectures:</para>
 
-<screen os="c"><userinput>install -dv ${LFS}/usr/include/{asm,asm-generic,linux,net,mtd,scsi,sound}
-cp -av include/asm-generic/* ${LFS}/usr/include/asm-generic
-cp -av include/linux/* ${LFS}/usr/include/linux
-cp -av include/mtd/* ${LFS}/usr/include/mtd
-cp -av include/net/* ${LFS}/usr/include/net
-cp -av include/scsi/* ${LFS}/usr/include/scsi
-cp -av include/sound/* ${LFS}/usr/include/sound</userinput></screen>
+<screen os="c"><userinput>install -dv ${CLFS}/usr/include/{asm,asm-generic,linux,net,mtd,scsi,sound}
+cp -av include/asm-generic/* ${CLFS}/usr/include/asm-generic
+cp -av include/linux/* ${CLFS}/usr/include/linux
+cp -av include/mtd/* ${CLFS}/usr/include/mtd
+cp -av include/net/* ${CLFS}/usr/include/net
+cp -av include/scsi/* ${CLFS}/usr/include/scsi
+cp -av include/sound/* ${CLFS}/usr/include/sound</userinput></screen>
 
     <para os="d">Install the header files that are specific to this architecture:</para>
 
-<screen><userinput>cp -av include/asm-arm/* ${LFS}/usr/include/asm</userinput></screen>
+<screen><userinput>cp -av include/asm-arm/* ${CLFS}/usr/include/asm</userinput></screen>
 
     <para os="e">Make sure the users can read the headers:</para>
 
-<screen os="f"><userinput>find ${LFS}/usr/include/{asm,asm-generic,linux,mtd,net,scsi,sound} -type d -exec chmod -v 755 {} \;
-find ${LFS}/usr/include/{asm,asm-generic,linux,mtd,net,scsi,sound} -type f -exec chmod -v 644 {} \;</userinput></screen>
+<screen os="f"><userinput>find ${CLFS}/usr/include/{asm,asm-generic,linux,mtd,net,scsi,sound} -type d -exec chmod -v 755 {} \;
+find ${CLFS}/usr/include/{asm,asm-generic,linux,mtd,net,scsi,sound} -type f -exec chmod -v 644 {} \;</userinput></screen>
 
   </sect2>
Index: BOOK/cross-tools/arm/variables.xml
===================================================================
--- BOOK/cross-tools/arm/variables.xml	(revision 3a6b2eab24752a4cea69b2317ed338d63dbf18c6)
+++ BOOK/cross-tools/arm/variables.xml	(revision 586feb78b379b4fe653074e6a79b8d443176860f)
@@ -35,6 +35,6 @@
   case you have to exit and restart building later:</para>
 
-<screen os="f"><userinput>echo export LFS_HOST=\""${LFS_HOST}\"" &gt;&gt; ~/.bashrc
-echo export LFS_TARGET=\""${LFS_TARGET}\"" &gt;&gt; ~/.bashrc</userinput></screen>
+<screen os="f"><userinput>echo export LFS_HOST=\""${CLFS_HOST}\"" &gt;&gt; ~/.bashrc
+echo export LFS_TARGET=\""${CLFS_TARGET}\"" &gt;&gt; ~/.bashrc</userinput></screen>
 
 </sect1>
Index: BOOK/cross-tools/common/binutils.xml
===================================================================
--- BOOK/cross-tools/common/binutils.xml	(revision 3a6b2eab24752a4cea69b2317ed338d63dbf18c6)
+++ BOOK/cross-tools/common/binutils.xml	(revision 586feb78b379b4fe653074e6a79b8d443176860f)
@@ -48,6 +48,6 @@
     xpointer="xpointer(//*[@os='c'])"/>
 
-<screen os="bc"><userinput>../binutils-&binutils-version;/configure --prefix=${LFS}/cross-tools \
-   --host=${LFS_HOST} --target=${LFS_TARGET} --with-sysroot=${LFS} \
+<screen os="bc"><userinput>../binutils-&binutils-version;/configure --prefix=${CLFS}/cross-tools \
+   --host=${CLFS_HOST} --target=${CLFS_TARGET} --with-sysroot=${CLFS} \
    --disable-nls --enable-shared --disable-multilib</userinput></screen>
 
@@ -56,8 +56,8 @@
 
       <varlistentry os="bd1">
-        <term><parameter>--prefix=${LFS}/cross-tools</parameter></term>
+        <term><parameter>--prefix=${CLFS}/cross-tools</parameter></term>
         <listitem>
           <para>This tells the configure script to prepare to install the
-          package in the <filename class="directory">${LFS}/cross-tools</filename>
+          package in the <filename class="directory">${CLFS}/cross-tools</filename>
           directory.</para>
         </listitem>
@@ -65,24 +65,24 @@
 
       <varlistentry os="bd2">
-        <term><parameter>--host=${LFS_HOST}</parameter></term>
+        <term><parameter>--host=${CLFS_HOST}</parameter></term>
         <listitem>
           <para>When used with --target, this creates a cross-architecture
-          executable that creates files for ${LFS_TARGET} but runs on ${LFS_HOST).</para>
+          executable that creates files for ${CLFS_TARGET} but runs on ${CLFS_HOST).</para>
         </listitem>
       </varlistentry>
 
       <varlistentry os="bd3">
-        <term><parameter>--target=${LFS_TARGET}</parameter></term>
+        <term><parameter>--target=${CLFS_TARGET}</parameter></term>
         <listitem>
           <para>When used with --host, this creates a cross-architecture
-          executable that creates files for ${LFS_TARGET} but runs on ${LFS_HOST).</para>
+          executable that creates files for ${CLFS_TARGET} but runs on ${CLFS_HOST).</para>
         </listitem>
       </varlistentry>
 
       <varlistentry os="bd4">
-        <term><parameter>--with-sysroot=${LFS}</parameter></term>
+        <term><parameter>--with-sysroot=${CLFS}</parameter></term>
         <listitem>
-          <para>This tells configure that ${LFS} is going to be the root
-          of our system. It will now use the specified sysroot, ${LFS} as
+          <para>This tells configure that ${CLFS} is going to be the root
+          of our system. It will now use the specified sysroot, ${CLFS} as
           a prefix of the default search paths.</para>
         </listitem>
@@ -137,7 +137,7 @@
 
     <para os="bj">Copy the <filename class="headerfile">libiberty.h</filename> file to
-    <filename class="directory">${LFS}/usr/include</filename> directory:</para>
+    <filename class="directory">${CLFS}/usr/include</filename> directory:</para>
 
-<screen os="bk"><userinput>cp -v ../binutils-&binutils-version;/include/libiberty.h ${LFS}/usr/include</userinput></screen>
+<screen os="bk"><userinput>cp -v ../binutils-&binutils-version;/include/libiberty.h ${CLFS}/usr/include</userinput></screen>
 
   </sect2>
Index: BOOK/cross-tools/common/file.xml
===================================================================
--- BOOK/cross-tools/common/file.xml	(revision 3a6b2eab24752a4cea69b2317ed338d63dbf18c6)
+++ BOOK/cross-tools/common/file.xml	(revision 586feb78b379b4fe653074e6a79b8d443176860f)
@@ -19,5 +19,5 @@
     <para>Prepare File for compilation:</para>
 
-<screen><userinput>./configure --prefix=${LFS}/cross-tools</userinput></screen>
+<screen><userinput>./configure --prefix=${CLFS}/cross-tools</userinput></screen>
 
     <para>Compile the Package:</para>
Index: BOOK/cross-tools/common/gcc-final.xml
===================================================================
--- BOOK/cross-tools/common/gcc-final.xml	(revision 3a6b2eab24752a4cea69b2317ed338d63dbf18c6)
+++ BOOK/cross-tools/common/gcc-final.xml	(revision 586feb78b379b4fe653074e6a79b8d443176860f)
@@ -59,7 +59,7 @@
     xpointer="xpointer(//*[@os='e'])"/>
 
-<screen os="ae"><userinput>../gcc-&gcc-version;/configure --prefix=${LFS}/cross-tools \
-    --host=${LFS_HOST} --target=${LFS_TARGET} --disable-multilib \
-    --with-sysroot=${LFS} --disable-nls --enable-shared \
+<screen os="ae"><userinput>../gcc-&gcc-version;/configure --prefix=${CLFS}/cross-tools \
+    --host=${CLFS_HOST} --target=${CLFS_TARGET} --disable-multilib \
+    --with-sysroot=${CLFS} --disable-nls --enable-shared \
     --enable-languages=c,c++ --enable-__cxa_atexit \
     --enable-c99 --enable-long-long --enable-threads=posix</userinput></screen>
Index: BOOK/cross-tools/common/gcc-static.xml
===================================================================
--- BOOK/cross-tools/common/gcc-static.xml	(revision 3a6b2eab24752a4cea69b2317ed338d63dbf18c6)
+++ BOOK/cross-tools/common/gcc-static.xml	(revision 586feb78b379b4fe653074e6a79b8d443176860f)
@@ -51,7 +51,7 @@
     xpointer="xpointer(//*[@os='e'])"/>
 
-<screen os="ae"><userinput>../gcc-&gcc-version;/configure --prefix=${LFS}/cross-tools \
-    --host=${LFS_HOST} --target=${LFS_TARGET} --disable-multilib \
-    --with-sysroot=${LFS} --disable-nls --disable-shared \
+<screen os="ae"><userinput>../gcc-&gcc-version;/configure --prefix=${CLFS}/cross-tools \
+    --host=${CLFS_HOST} --target=${CLFS_TARGET} --disable-multilib \
+    --with-sysroot=${CLFS} --disable-nls --disable-shared \
     --enable-languages=c</userinput></screen>
 
Index: BOOK/cross-tools/common/glibc.xml
===================================================================
--- BOOK/cross-tools/common/glibc.xml	(revision 3a6b2eab24752a4cea69b2317ed338d63dbf18c6)
+++ BOOK/cross-tools/common/glibc.xml	(revision 586feb78b379b4fe653074e6a79b8d443176860f)
@@ -74,15 +74,15 @@
     <filename>configparms</filename> to adjust instalation paths:</para>
 
-<screen os="g"><userinput>echo "install_root=${LFS}" &gt; configparms</userinput></screen>
+<screen os="g"><userinput>echo "install_root=${CLFS}" &gt; configparms</userinput></screen>
 
     <para os="h">Prepare Glibc for compilation:</para>
 
-<screen os="i"><userinput>BUILD_CC="gcc" CC="${LFS_TARGET}-gcc" \
-    AR="${LFS_TARGET}-ar" RANLIB="${LFS_TARGET}-ranlib" \
+<screen os="i"><userinput>BUILD_CC="gcc" CC="${CLFS_TARGET}-gcc" \
+    AR="${CLFS_TARGET}-ar" RANLIB="${CLFS_TARGET}-ranlib" \
     ../glibc-&glibc-version;/configure --prefix=/usr --libexecdir=/usr/lib/glibc \
-    --host=${LFS_TARGET} --build=${LFS_HOST} \
+    --host=${CLFS_TARGET} --build=${CLFS_HOST} \
     --disable-profile --enable-add-ons \
     --with-tls --enable-kernel=2.6.0 --with-__thread \
-    --with-binutils=${LFS}/cross-tools/bin --with-headers=${LFS}/usr/include \
+    --with-binutils=${CLFS}/cross-tools/bin --with-headers=${CLFS}/usr/include \
     --cache-file=config.cache</userinput></screen>
 
@@ -99,5 +99,5 @@
 
       <varlistentry os="j2">
-        <term><parameter>CC="${LFS_TARGET}-gcc"</parameter></term>
+        <term><parameter>CC="${CLFS_TARGET}-gcc"</parameter></term>
         <listitem>
           <para>This forces Glibc to use the GCC compiler that we made for our target
@@ -107,5 +107,5 @@
 
       <varlistentry os="j3">
-        <term><parameter>AR="${LFS_TARGET}-ar"</parameter></term>
+        <term><parameter>AR="${CLFS_TARGET}-ar"</parameter></term>
         <listitem>
           <para>This forces Glibc to use the <command>ar</command> utility
@@ -115,5 +115,5 @@
 
       <varlistentry os="j4">
-        <term><parameter>RANLIB="${LFS_TARGET}-ranlib"</parameter></term>
+        <term><parameter>RANLIB="${CLFS_TARGET}-ranlib"</parameter></term>
         <listitem>
           <para>This forces Glibc to use the <command>ranlib</command> utility
@@ -154,5 +154,5 @@
 
       <varlistentry os="j9">
-        <term><parameter>--with-binutils=${LFS}/cross-tools/bin</parameter></term>
+        <term><parameter>--with-binutils=${CLFS}/cross-tools/bin</parameter></term>
         <listitem>
           <para>This tells Glibc to use the Binutils that are specific to
@@ -214,5 +214,5 @@
     successfully:</para>
 
-<screen role="nodump"><userinput>mkdir -pv ${LFS}/usr/lib/locale
+<screen role="nodump"><userinput>mkdir -pv ${CLFS}/usr/lib/locale
 localedef -i de_DE -f ISO-8859-1 de_DE
 localedef -i de_DE@euro -f ISO-8859-15 de_DE@euro
@@ -263,5 +263,5 @@
     the following:</para>
 
-<screen><userinput>cat &gt; ${LFS}/etc/nsswitch.conf &lt;&lt; "EOF"
+<screen><userinput>cat &gt; ${CLFS}/etc/nsswitch.conf &lt;&lt; "EOF"
 <literal># Begin /etc/nsswitch.conf
 
@@ -283,5 +283,5 @@
     <para>To determine the local time zone, run the following script:</para>
 
-<screen role="nodump"><userinput>${LFS}/usr/bin/tzselect</userinput></screen>
+<screen role="nodump"><userinput>${CLFS}/usr/bin/tzselect</userinput></screen>
 
     <para>After answering a few questions about the location, the script will
@@ -290,6 +290,6 @@
     <filename>/etc/localtime</filename> file by running:</para>
 
-<screen><userinput>cp -v --remove-destination ${LFS}/usr/share/zoneinfo/<replaceable>[xxx]</replaceable> \
-    ${LFS}/etc/localtime</userinput></screen>
+<screen><userinput>cp -v --remove-destination ${CLFS}/usr/share/zoneinfo/<replaceable>[xxx]</replaceable> \
+    ${CLFS}/etc/localtime</userinput></screen>
 
     <para>Replace <replaceable>[xxx]</replaceable> with the name of the time zone
@@ -337,5 +337,5 @@
     following:</para>
 
-<screen><userinput>cat &gt; ${LFS}/etc/ld.so.conf &lt;&lt; "EOF"
+<screen><userinput>cat &gt; ${CLFS}/etc/ld.so.conf &lt;&lt; "EOF"
 <literal># Begin /etc/ld.so.conf
 