Index: BOOK/appendices/dependencies/common.xml
===================================================================
--- BOOK/appendices/dependencies/common.xml	(revision 81ba4bb405c7a3ce5917e9f94e704ce677eb1bcf)
+++ BOOK/appendices/dependencies/common.xml	(revision 597f452d3f9218ecf8e10ae18906670c1136f5da)
@@ -373,5 +373,5 @@
         <seglistitem>
          <seg>ACL, Attr, Bash, Binutils, Coreutils, EGLIBC, Gawk, GCC, GMP,
-         Grep, Make, Patch, Perl, Sed and Texinfo</seg>
+         Grep, Libcap, Make, Patch, Perl, Sed and Texinfo</seg>
         </seglistitem>
       </segmentedlist>
Index: BOOK/final-system/alpha-chapter.xml
===================================================================
--- BOOK/final-system/alpha-chapter.xml	(revision 81ba4bb405c7a3ce5917e9f94e704ce677eb1bcf)
+++ BOOK/final-system/alpha-chapter.xml	(revision 597f452d3f9218ecf8e10ae18906670c1136f5da)
@@ -37,4 +37,5 @@
   <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="common/procps.xml"/>
   <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="common/e2fsprogs.xml"/>
+  <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="common/libcap.xml"/>
   <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="common/coreutils.xml"/>
   <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="common/iana-etc.xml"/>
@@ -61,5 +62,4 @@
   <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="common/less.xml"/>
   <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="common/gzip.xml"/>
-  <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="common/libcap.xml"/>
   <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="common/iputils.xml"/>
   <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="common/kbd.xml"/>
Index: BOOK/final-system/mips-chapter.xml
===================================================================
--- BOOK/final-system/mips-chapter.xml	(revision 81ba4bb405c7a3ce5917e9f94e704ce677eb1bcf)
+++ BOOK/final-system/mips-chapter.xml	(revision 597f452d3f9218ecf8e10ae18906670c1136f5da)
@@ -37,4 +37,5 @@
   <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="common/procps.xml"/>
   <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="common/e2fsprogs.xml"/>
+  <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="common/libcap.xml"/>
   <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="common/coreutils.xml"/>
   <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="common/iana-etc.xml"/>
@@ -61,5 +62,4 @@
   <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="common/less.xml"/>
   <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="common/gzip.xml"/>
-  <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="common/libcap.xml"/>
   <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="common/iputils.xml"/>
   <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="common/kbd.xml"/>
Index: BOOK/final-system/mips64-64-chapter.xml
===================================================================
--- BOOK/final-system/mips64-64-chapter.xml	(revision 81ba4bb405c7a3ce5917e9f94e704ce677eb1bcf)
+++ BOOK/final-system/mips64-64-chapter.xml	(revision 597f452d3f9218ecf8e10ae18906670c1136f5da)
@@ -37,4 +37,5 @@
   <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="common/procps.xml"/>
   <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="common/e2fsprogs.xml"/>
+  <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="common/libcap.xml"/>
   <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="common/coreutils.xml"/>
   <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="common/iana-etc.xml"/>
@@ -61,5 +62,4 @@
   <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="common/less.xml"/>
   <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="common/gzip.xml"/>
-  <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="common/libcap.xml"/>
   <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="common/iputils.xml"/>
   <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="common/kbd.xml"/>
Index: BOOK/final-system/mips64-chapter.xml
===================================================================
--- BOOK/final-system/mips64-chapter.xml	(revision 81ba4bb405c7a3ce5917e9f94e704ce677eb1bcf)
+++ BOOK/final-system/mips64-chapter.xml	(revision 597f452d3f9218ecf8e10ae18906670c1136f5da)
@@ -62,4 +62,7 @@
   <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="multilib/e2fsprogs-64bit.xml"/>
   <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="multilib/multiarch_wrapper.xml"/>
+  <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="multilib/libcap.xml"/>
+  <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="multilib/libcap-n32.xml"/>
+  <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="multilib/libcap-64bit.xml"/>
   <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="multilib/coreutils.xml"/>
   <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="common/iana-etc.xml"/>
@@ -102,7 +105,4 @@
   <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="multilib/less.xml"/>
   <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="multilib/gzip.xml"/>
-  <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="multilib/libcap.xml"/>
-  <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="multilib/libcap-n32.xml"/>
-  <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="multilib/libcap-64bit.xml"/>
   <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="multilib/iputils.xml"/>
   <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="multilib/kbd.xml"/>
Index: BOOK/final-system/ppc-chapter.xml
===================================================================
--- BOOK/final-system/ppc-chapter.xml	(revision 81ba4bb405c7a3ce5917e9f94e704ce677eb1bcf)
+++ BOOK/final-system/ppc-chapter.xml	(revision 597f452d3f9218ecf8e10ae18906670c1136f5da)
@@ -37,4 +37,5 @@
   <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="common/procps.xml"/>
   <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="common/e2fsprogs.xml"/>
+  <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="common/libcap.xml"/>
   <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="common/coreutils.xml"/>
   <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="common/iana-etc.xml"/>
@@ -61,5 +62,4 @@
   <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="common/less.xml"/>
   <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="common/gzip.xml"/>
-  <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="common/libcap.xml"/>
   <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="common/iputils.xml"/>
   <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="common/kbd.xml"/>
Index: BOOK/final-system/ppc64-64-chapter.xml
===================================================================
--- BOOK/final-system/ppc64-64-chapter.xml	(revision 81ba4bb405c7a3ce5917e9f94e704ce677eb1bcf)
+++ BOOK/final-system/ppc64-64-chapter.xml	(revision 597f452d3f9218ecf8e10ae18906670c1136f5da)
@@ -37,4 +37,5 @@
   <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="common/procps.xml"/>
   <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="common/e2fsprogs.xml"/>
+  <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="common/libcap.xml"/>
   <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="common/coreutils.xml"/>
   <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="common/iana-etc.xml"/>
@@ -61,5 +62,4 @@
   <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="common/less.xml"/>
   <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="common/gzip.xml"/>
-  <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="common/libcap.xml"/>
   <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="common/iputils.xml"/>
   <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="common/kbd.xml"/>
Index: BOOK/final-system/ppc64-chapter.xml
===================================================================
--- BOOK/final-system/ppc64-chapter.xml	(revision 81ba4bb405c7a3ce5917e9f94e704ce677eb1bcf)
+++ BOOK/final-system/ppc64-chapter.xml	(revision 597f452d3f9218ecf8e10ae18906670c1136f5da)
@@ -50,4 +50,6 @@
   <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="multilib/e2fsprogs.xml"/>
   <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="multilib/e2fsprogs-64bit.xml"/>
+  <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="multilib/libcap.xml"/>
+  <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="multilib/libcap-64bit.xml"/>
   <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="multilib/coreutils.xml"/>
   <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="common/iana-etc.xml"/>
@@ -82,6 +84,4 @@
   <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="multilib/less.xml"/>
   <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="multilib/gzip.xml"/>
-  <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="multilib/libcap.xml"/>
-  <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="multilib/libcap-64bit.xml"/>
   <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="multilib/iputils.xml"/>
   <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="multilib/kbd.xml"/>
Index: BOOK/final-system/sparc-chapter.xml
===================================================================
--- BOOK/final-system/sparc-chapter.xml	(revision 81ba4bb405c7a3ce5917e9f94e704ce677eb1bcf)
+++ BOOK/final-system/sparc-chapter.xml	(revision 597f452d3f9218ecf8e10ae18906670c1136f5da)
@@ -37,4 +37,5 @@
   <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="common/procps.xml"/>
   <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="common/e2fsprogs.xml"/>
+  <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="common/libcap.xml"/>
   <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="common/coreutils.xml"/>
   <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="common/iana-etc.xml"/>
@@ -61,5 +62,4 @@
   <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="common/less.xml"/>
   <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="common/gzip.xml"/>
-  <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="common/libcap.xml"/>
   <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="common/iputils.xml"/>
   <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="common/kbd.xml"/>
Index: BOOK/final-system/sparc64-64-chapter.xml
===================================================================
--- BOOK/final-system/sparc64-64-chapter.xml	(revision 81ba4bb405c7a3ce5917e9f94e704ce677eb1bcf)
+++ BOOK/final-system/sparc64-64-chapter.xml	(revision 597f452d3f9218ecf8e10ae18906670c1136f5da)
@@ -37,4 +37,5 @@
   <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="common/procps.xml"/>
   <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="common/e2fsprogs.xml"/>
+  <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="common/libcap.xml"/>
   <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="common/coreutils.xml"/>
   <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="common/iana-etc.xml"/>
@@ -61,5 +62,4 @@
   <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="common/less.xml"/>
   <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="common/gzip.xml"/>
-  <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="common/libcap.xml"/>
   <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="common/iputils.xml"/>
   <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="common/kbd.xml"/>
Index: BOOK/final-system/sparc64-chapter.xml
===================================================================
--- BOOK/final-system/sparc64-chapter.xml	(revision 81ba4bb405c7a3ce5917e9f94e704ce677eb1bcf)
+++ BOOK/final-system/sparc64-chapter.xml	(revision 597f452d3f9218ecf8e10ae18906670c1136f5da)
@@ -50,4 +50,6 @@
   <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="multilib/e2fsprogs.xml"/>
   <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="multilib/e2fsprogs-64bit.xml"/>
+  <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="multilib/libcap.xml"/>
+  <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="multilib/libcap-64bit.xml"/>
   <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="multilib/coreutils.xml"/>
   <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="common/iana-etc.xml"/>
@@ -82,6 +84,4 @@
   <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="multilib/less.xml"/>
   <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="multilib/gzip.xml"/>
-  <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="multilib/libcap.xml"/>
-  <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="multilib/libcap-64bit.xml"/>
   <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="multilib/iputils.xml"/>
   <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="multilib/kbd.xml"/>
Index: BOOK/final-system/x86-chapter.xml
===================================================================
--- BOOK/final-system/x86-chapter.xml	(revision 81ba4bb405c7a3ce5917e9f94e704ce677eb1bcf)
+++ BOOK/final-system/x86-chapter.xml	(revision 597f452d3f9218ecf8e10ae18906670c1136f5da)
@@ -37,4 +37,5 @@
   <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="common/procps.xml"/>
   <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="common/e2fsprogs.xml"/>
+  <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="common/libcap.xml"/>
   <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="common/coreutils.xml"/>
   <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="common/iana-etc.xml"/>
@@ -61,5 +62,4 @@
   <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="common/less.xml"/>
   <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="common/gzip.xml"/>
-  <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="common/libcap.xml"/>
   <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="common/iputils.xml"/>
   <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="common/kbd.xml"/>
Index: BOOK/final-system/x86_64-64-chapter.xml
===================================================================
--- BOOK/final-system/x86_64-64-chapter.xml	(revision 81ba4bb405c7a3ce5917e9f94e704ce677eb1bcf)
+++ BOOK/final-system/x86_64-64-chapter.xml	(revision 597f452d3f9218ecf8e10ae18906670c1136f5da)
@@ -37,4 +37,5 @@
   <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="common/procps.xml"/>
   <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="common/e2fsprogs.xml"/>
+  <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="common/libcap.xml"/>
   <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="common/coreutils.xml"/>
   <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="common/iana-etc.xml"/>
@@ -61,5 +62,4 @@
   <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="common/less.xml"/>
   <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="common/gzip.xml"/>
-  <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="common/libcap.xml"/>
   <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="common/iputils.xml"/>
   <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="common/kbd.xml"/>
Index: BOOK/final-system/x86_64-chapter.xml
===================================================================
--- BOOK/final-system/x86_64-chapter.xml	(revision 81ba4bb405c7a3ce5917e9f94e704ce677eb1bcf)
+++ BOOK/final-system/x86_64-chapter.xml	(revision 597f452d3f9218ecf8e10ae18906670c1136f5da)
@@ -50,4 +50,6 @@
   <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="multilib/e2fsprogs.xml"/>
   <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="multilib/e2fsprogs-64bit.xml"/>
+  <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="multilib/libcap.xml"/>
+  <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="multilib/libcap-64bit.xml"/>
   <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="multilib/coreutils.xml"/>
   <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="common/iana-etc.xml"/>
@@ -82,6 +84,4 @@
   <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="multilib/less.xml"/>
   <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="multilib/gzip.xml"/>
-  <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="multilib/libcap.xml"/>
-  <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="multilib/libcap-64bit.xml"/>
   <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="multilib/iputils.xml"/>
   <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="multilib/kbd.xml"/>