Index: BOOK/boot/mips64-64-chapter.xml
===================================================================
--- BOOK/boot/mips64-64-chapter.xml	(revision 852593c585319798de95c68b8ad5ca90445f9654)
+++ BOOK/boot/mips64-64-chapter.xml	(revision 614f4d2274852448bda5141b033231afb68cb834)
@@ -23,9 +23,9 @@
   <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="mips64/util-linux.xml"/>
   <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="multilib/udev.xml"/>
-  <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="mips64-64/flags.xml"/>
   <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="common/pwdgroup.xml"/>
   <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="mips64/kernel.xml"/>
   <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="mips64/colo-build.xml"/>
   <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="common/settingenviron.xml"/>
+  <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="mips64-64/flags.xml"/>
   <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="common/fstab.xml"/>
   <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="common/bootscripts.xml"/>
Index: BOOK/boot/mips64-chapter.xml
===================================================================
--- BOOK/boot/mips64-chapter.xml	(revision 852593c585319798de95c68b8ad5ca90445f9654)
+++ BOOK/boot/mips64-chapter.xml	(revision 614f4d2274852448bda5141b033231afb68cb834)
@@ -23,9 +23,9 @@
   <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="mips64/util-linux.xml"/>
   <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="multilib/udev.xml"/>
-  <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="mips64/flags.xml"/>
   <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="common/pwdgroup.xml"/>
   <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="mips64/kernel.xml"/>
   <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="mips64/colo-build.xml"/>
   <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="common/settingenviron.xml"/>
+  <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="mips64/flags.xml"/>
   <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="common/fstab.xml"/>
   <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="common/bootscripts.xml"/>
Index: BOOK/boot/sparc64-64-chapter.xml
===================================================================
--- BOOK/boot/sparc64-64-chapter.xml	(revision 852593c585319798de95c68b8ad5ca90445f9654)
+++ BOOK/boot/sparc64-64-chapter.xml	(revision 614f4d2274852448bda5141b033231afb68cb834)
@@ -23,9 +23,9 @@
   <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="multilib/udev.xml"/>
   <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="sparc/elftoaout.xml"/>
-  <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="sparc64-64/flags.xml"/>
   <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="common/pwdgroup.xml"/>
   <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="sparc64/kernel.xml"/>
   <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="sparc/silo-build.xml"/>
   <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="common/settingenviron.xml"/>
+  <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="sparc64-64/flags.xml"/>
   <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="sparc/fstab.xml"/>
   <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="common/bootscripts.xml"/>
Index: BOOK/boot/sparc64-chapter.xml
===================================================================
--- BOOK/boot/sparc64-chapter.xml	(revision 852593c585319798de95c68b8ad5ca90445f9654)
+++ BOOK/boot/sparc64-chapter.xml	(revision 614f4d2274852448bda5141b033231afb68cb834)
@@ -24,9 +24,9 @@
   <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="multilib/udev.xml"/>
   <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="sparc/elftoaout.xml"/>
-  <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="sparc64/flags.xml"/>
   <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="common/pwdgroup.xml"/>
   <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="sparc64/kernel.xml"/>
   <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="sparc/silo-build.xml"/>
   <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="common/settingenviron.xml"/>
+  <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="sparc64/flags.xml"/>
   <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="sparc/fstab.xml"/>
   <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="common/bootscripts.xml"/>
Index: BOOK/boot/x86_64-64-chapter.xml
===================================================================
--- BOOK/boot/x86_64-64-chapter.xml	(revision 852593c585319798de95c68b8ad5ca90445f9654)
+++ BOOK/boot/x86_64-64-chapter.xml	(revision 614f4d2274852448bda5141b033231afb68cb834)
@@ -22,9 +22,9 @@
   <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="multilib/util-linux.xml"/>
   <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="multilib/udev.xml"/>
-  <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="x86_64-64/flags.xml"/>
   <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="common/pwdgroup.xml"/>
   <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="x86_64/kernel.xml"/>
   <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="x86_64-64/grub-build.xml"/>
   <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="common/settingenviron.xml"/>
+  <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="x86_64-64/flags.xml"/>
   <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="common/fstab.xml"/>
   <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="common/bootscripts.xml"/>
Index: BOOK/boot/x86_64-chapter.xml
===================================================================
--- BOOK/boot/x86_64-chapter.xml	(revision 852593c585319798de95c68b8ad5ca90445f9654)
+++ BOOK/boot/x86_64-chapter.xml	(revision 614f4d2274852448bda5141b033231afb68cb834)
@@ -22,9 +22,9 @@
   <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="multilib/util-linux.xml"/>
   <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="multilib/udev.xml"/>
-  <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="x86_64/flags.xml"/>
   <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="common/pwdgroup.xml"/>
   <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="x86_64/kernel.xml"/>
   <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="x86_64/grub-build.xml"/>
   <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="common/settingenviron.xml"/>
+  <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="x86_64/flags.xml"/>
   <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="common/fstab.xml"/>
   <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="common/bootscripts.xml"/>