Index: BOOK/cross-tools/x86/glibc.xml
===================================================================
--- BOOK/cross-tools/x86/glibc.xml	(revision cc272234e702c23d3de12b761446a7be2df34212)
+++ BOOK/cross-tools/x86/glibc.xml	(revision 631c8f462bbe4a387de0022b1bf0e7f28ed35d5f)
@@ -57,10 +57,10 @@
 <screen os="df"><userinput>BUILD_CC="gcc" CC="${CLFS_TARGET}-gcc" \
     AR="${CLFS_TARGET}-ar" RANLIB="${CLFS_TARGET}-ranlib" \
-    CFLAGS="-march=$(cut -d- -f1 &lt;&lt;&lt; $CLFS_TARGET) -O2" \
     ../glibc-&glibc-version;/configure --prefix=/tools \
     --host=${CLFS_TARGET} --build=${CLFS_HOST} \
-    --disable-profile --with-tls --enable-kernel=2.6.32 --with-__thread \
-    --with-binutils=/cross-tools/bin --with-headers=/tools/include \
-    --enable-obsolete-rpc --cache-file=config.cache</userinput></screen>
+    --disable-profile --with-tls --enable-kernel=2.6.32 \
+    --with-__thread --with-binutils=/cross-tools/bin \
+    --with-headers=/tools/include --enable-obsolete-rpc \
+    --cache-file=config.cache</userinput></screen>
 
     <variablelist os="dg">
@@ -82,12 +82,4 @@
       href="../common/glibc.xml"
       xpointer="xpointer(//*[@os='dg4'])"/>
-
-      <varlistentry os="ea2">
-        <term><parameter>CFLAGS="-march=$(cut -d- -f1 &lt;&lt;&lt;
-        $CLFS_TARGET)" -O2</parameter></term>
-        <listitem>
-          <para>Forces GLIBC to optimize for our target system.</para>
-        </listitem>
-      </varlistentry>
 
       <xi:include xmlns:xi="http://www.w3.org/2001/XInclude"
Index: BOOK/cross-tools/x86_64/glibc.xml
===================================================================
--- BOOK/cross-tools/x86_64/glibc.xml	(revision cc272234e702c23d3de12b761446a7be2df34212)
+++ BOOK/cross-tools/x86_64/glibc.xml	(revision 631c8f462bbe4a387de0022b1bf0e7f28ed35d5f)
@@ -57,5 +57,4 @@
 <screen os="df"><userinput>BUILD_CC="gcc" CC="${CLFS_TARGET}-gcc ${BUILD32}" \
     AR="${CLFS_TARGET}-ar" RANLIB="${CLFS_TARGET}-ranlib" \
-    CFLAGS="-march=$(cut -d- -f1 &lt;&lt;&lt; $CLFS_TARGET32) -O2" \
     ../glibc-&glibc-version;/configure --prefix=/tools \
     --host=${CLFS_TARGET32} --build=${CLFS_HOST} \
@@ -82,12 +81,4 @@
       href="../common/glibc.xml"
       xpointer="xpointer(//*[@os='dg4'])"/>
-
-     <varlistentry os="ea2">
-        <term><parameter>CFLAGS="-march=$(cut -d- -f1 &lt;&lt;&lt;
-        $CLFS_TARGET32) -O2"</parameter></term>
-        <listitem>
-          <para>Forces GLIBC to optimize for our target system.</para>
-        </listitem>
-      </varlistentry>
 
       <xi:include xmlns:xi="http://www.w3.org/2001/XInclude"
Index: BOOK/final-system/x86/glibc.xml
===================================================================
--- BOOK/final-system/x86/glibc.xml	(revision cc272234e702c23d3de12b761446a7be2df34212)
+++ BOOK/final-system/x86/glibc.xml	(revision 631c8f462bbe4a387de0022b1bf0e7f28ed35d5f)
@@ -67,5 +67,4 @@
 
 <screen os="h"><userinput>
-    CFLAGS="-march=$(cut -d- -f1 &lt;&lt;&lt; $MACHTYPE) -O2" \
     ../glibc-&glibc-version;/configure --prefix=/usr \
     --disable-profile --enable-kernel=2.6.32 --libexecdir=/usr/lib/glibc \
Index: BOOK/final-system/x86_64-64/glibc.xml
===================================================================
--- BOOK/final-system/x86_64-64/glibc.xml	(revision cc272234e702c23d3de12b761446a7be2df34212)
+++ BOOK/final-system/x86_64-64/glibc.xml	(revision 631c8f462bbe4a387de0022b1bf0e7f28ed35d5f)
@@ -71,6 +71,5 @@
     xpointer="xpointer(//*[@os='g'])"/>
 
-<screen os="h"><userinput>CFLAGS="-O2" \
-    ../glibc-&glibc-version;/configure --prefix=/usr \
+<screen os="h"><userinput>../glibc-&glibc-version;/configure --prefix=/usr \
     --disable-profile --enable-kernel=2.6.32 \
     --libexecdir=/usr/lib/glibc --libdir=/usr/lib \
Index: BOOK/final-system/x86_64/glibc-64bit.xml
===================================================================
--- BOOK/final-system/x86_64/glibc-64bit.xml	(revision cc272234e702c23d3de12b761446a7be2df34212)
+++ BOOK/final-system/x86_64/glibc-64bit.xml	(revision 631c8f462bbe4a387de0022b1bf0e7f28ed35d5f)
@@ -71,5 +71,4 @@
 
 <screen os="h"><userinput>CC="gcc ${BUILD64}" CXX="g++ ${BUILD64}" \
-    CFLAGS="-O2" \
     ../glibc-&glibc-version;/configure --prefix=/usr \
     --disable-profile --enable-kernel=2.6.32 \
Index: BOOK/final-system/x86_64/glibc.xml
===================================================================
--- BOOK/final-system/x86_64/glibc.xml	(revision cc272234e702c23d3de12b761446a7be2df34212)
+++ BOOK/final-system/x86_64/glibc.xml	(revision 631c8f462bbe4a387de0022b1bf0e7f28ed35d5f)
@@ -68,5 +68,4 @@
 
 <screen os="h"><userinput>CC="gcc ${BUILD32}" CXX="g++ ${BUILD32}" \
-    CFLAGS="-march=$(cut -d- -f1 &lt;&lt;&lt; ${CLFS_TARGET32}) -O2" \
     ../glibc-&glibc-version;/configure --prefix=/usr \
     --disable-profile --enable-kernel=2.6.32 \
Index: BOOK/introduction/x86/changelog.xml
===================================================================
--- BOOK/introduction/x86/changelog.xml	(revision cc272234e702c23d3de12b761446a7be2df34212)
+++ BOOK/introduction/x86/changelog.xml	(revision 631c8f462bbe4a387de0022b1bf0e7f28ed35d5f)
@@ -33,4 +33,14 @@
 -->
     <listitem>
+      <para>27 April 2014</para>
+      <itemizedlist>
+        <listitem>
+          <para>[Chris] - Removed obsolete CFLAGS from x86 Glibc configure
+          commands.</para>
+        </listitem>
+      </itemizedlist>
+    </listitem>
+
+    <listitem>
       <para>11 April 2014</para>
       <itemizedlist>
Index: BOOK/introduction/x86_64-64/changelog.xml
===================================================================
--- BOOK/introduction/x86_64-64/changelog.xml	(revision cc272234e702c23d3de12b761446a7be2df34212)
+++ BOOK/introduction/x86_64-64/changelog.xml	(revision 631c8f462bbe4a387de0022b1bf0e7f28ed35d5f)
@@ -34,4 +34,14 @@
 -->
     <listitem>
+      <para>27 April 2014</para>
+      <itemizedlist>
+        <listitem>
+          <para>[Chris] - Removed obsolete CFLAGS from x86 Glibc configure
+          commands.</para>
+        </listitem>
+      </itemizedlist>
+    </listitem>
+
+    <listitem>
       <para>24 October 2013</para>
       <itemizedlist>
Index: BOOK/introduction/x86_64/changelog.xml
===================================================================
--- BOOK/introduction/x86_64/changelog.xml	(revision cc272234e702c23d3de12b761446a7be2df34212)
+++ BOOK/introduction/x86_64/changelog.xml	(revision 631c8f462bbe4a387de0022b1bf0e7f28ed35d5f)
@@ -34,4 +34,14 @@
 -->
     <listitem>
+      <para>27 April 2014</para>
+      <itemizedlist>
+        <listitem>
+          <para>[Chris] - Removed obsolete CFLAGS from x86 Glibc configure
+          commands.</para>
+        </listitem>
+      </itemizedlist>
+    </listitem>
+
+    <listitem>
       <para>08 November 2013</para>
       <itemizedlist>