Index: boot/common/changingowner.xml
===================================================================
--- boot/common/changingowner.xml	(revision db38a36a4ebb83c422f1f280fa2b0c1157adc92c)
+++ boot/common/changingowner.xml	(revision 0636f6ce37ce401d447cccc404b04106cfd11023)
@@ -24,5 +24,5 @@
 chown -R 0:0 $LFS/{bin,boot,dev,etc,home,lib,media,mnt,opt,proc,root,sbin,srv,sys,tmp,usr,var}</userinput></screen>
 
-  <para os="c">Optionally, you can do the same with <filename class="directory">/tools</filename> and <filename class="directory">/cross-tools</filename>. Although these directories can be deleted once the
+  <para os="c">The same issue also exists with <filename class="directory">/tools</filename> and <filename class="directory">/cross-tools</filename>. Although these directories can be deleted once the
   LFS system has been finished, they can be retained to build additional
   LFS systems. If the <filename class="directory">/tools</filename> and <filename class="directory">/cross-tools</filename>
Index: boot/common/settingenviron.xml
===================================================================
--- boot/common/settingenviron.xml	(revision db38a36a4ebb83c422f1f280fa2b0c1157adc92c)
+++ boot/common/settingenviron.xml	(revision 0636f6ce37ce401d447cccc404b04106cfd11023)
@@ -27,5 +27,5 @@
   Setting <envar>LC_ALL</envar> to <quote>POSIX</quote> or <quote>C</quote>
   (the two are equivalent) ensures that everything will work as expected
-  on your tempoary system.</para>
+  on your temporary system.</para>
 
   <para>By putting <filename class="directory">/tools/bin</filename> at
@@ -34,5 +34,5 @@
   if they have not yet been built on the target system. This configuration
   forces use of the final system binaries as they are built over the 
-  temp-system, minimising the chance final system programs being built
+  temp-system, minimising the chance of final system programs being built
   against the temp-system.</para>
 
Index: boot/common/whatnext.xml
===================================================================
--- boot/common/whatnext.xml	(revision db38a36a4ebb83c422f1f280fa2b0c1157adc92c)
+++ boot/common/whatnext.xml	(revision 0636f6ce37ce401d447cccc404b04106cfd11023)
@@ -11,11 +11,11 @@
   <title>What to do next</title>
 
-  <para>Now your at the point to get your <filename
+  <para>Now you're at the point to get your <filename
   class="directory">${LFS}</filename> directory copied over to your target
-  machine. The easiest method would be to tar and copy the file up.</para>
+  machine. The easiest method would be to tar it up and copy the file.</para>
 
 <screen><userinput>tar -jcvf ${LFS}.tar.bz2 ${LFS}</userinput></screen>
 
-  <para>Some others have came up with other idea's on how to do this.
+  <para>Some others have came up with other ideas on how to do this.
   Below is a table with the method and link to where the information
   is stored.</para>
Index: bootable/x86/kernel.xml
===================================================================
--- bootable/x86/kernel.xml	(revision db38a36a4ebb83c422f1f280fa2b0c1157adc92c)
+++ bootable/x86/kernel.xml	(revision 0636f6ce37ce401d447cccc404b04106cfd11023)
@@ -23,5 +23,5 @@
       <seglistitem>
         <seg>Bash, Binutils, Coreutils, Findutils, GCC, Glibc, Grep,
-        Gzip, Make, Modutils, Perl, and Sed</seg>
+        Gzip, Kbd, Make, Module-Init-Tools, Perl, and Sed</seg>
       </seglistitem>
     </segmentedlist>
Index: bootscripts/common/bootscripts.xml
===================================================================
--- bootscripts/common/bootscripts.xml	(revision db38a36a4ebb83c422f1f280fa2b0c1157adc92c)
+++ bootscripts/common/bootscripts.xml	(revision 0636f6ce37ce401d447cccc404b04106cfd11023)
@@ -25,5 +25,5 @@
 
       <seglistitem>
-        <seg>Bash and Coreutils</seg>
+        <seg>Bash, Coreutils, Make, and Sed</seg>
       </seglistitem>
     </segmentedlist>
Index: final-system/common/bash.xml
===================================================================
--- final-system/common/bash.xml	(revision db38a36a4ebb83c422f1f280fa2b0c1157adc92c)
+++ final-system/common/bash.xml	(revision 0636f6ce37ce401d447cccc404b04106cfd11023)
@@ -25,5 +25,5 @@
       <seglistitem>
         <seg>Binutils, Coreutils, Diffutils, Gawk, GCC, Glibc, Grep, Make,
-        Ncurses, and Sed.</seg>
+        Ncurses, Patch, Readline, and Sed.</seg>
       </seglistitem>
     </segmentedlist>
Index: final-system/common/binutils.xml
===================================================================
--- final-system/common/binutils.xml	(revision db38a36a4ebb83c422f1f280fa2b0c1157adc92c)
+++ final-system/common/binutils.xml	(revision 0636f6ce37ce401d447cccc404b04106cfd11023)
@@ -25,6 +25,6 @@
 
       <seglistitem>
-        <seg>Bash, Coreutils, Diffutils, GCC, Gettext,
-        Glibc, Grep, Make, Perl, Sed, and Texinfo</seg>
+        <seg>Bash, Coreutils, Diffutils, Expect, GCC, Gettext,
+        Glibc, Grep, Make, Patch, Perl, Sed, Tcl, and Texinfo</seg>
       </seglistitem>
     </segmentedlist>
@@ -79,13 +79,7 @@
     <para os="n">Normally, the tooldir (the directory where the executables
     will ultimately be located) is set to <filename
-    class="directory">$(exec_prefix)/$(target_alias)</filename>. For
-    example, i686 machines would expand that to <filename
-    class="directory">/usr/i686-pc-linux-gnu</filename>. Because this
+    class="directory">$(exec_prefix)/$(target_alias)</filename>. Because this
     is a custom system, this target-specific directory in <filename
-    class="directory">/usr</filename> is not required. <filename
-    class="directory">$(exec_prefix)/$(target_alias)</filename> would
-    be used if the system was used to cross-compile (for example,
-    compiling a package on an Intel machine that generates code that
-    can be executed on PowerPC machines).</para>
+    class="directory">/usr</filename> is not required.</para>
 
     <important os="o">
Index: final-system/common/bzip2.xml
===================================================================
--- final-system/common/bzip2.xml	(revision db38a36a4ebb83c422f1f280fa2b0c1157adc92c)
+++ final-system/common/bzip2.xml	(revision 0636f6ce37ce401d447cccc404b04106cfd11023)
@@ -27,5 +27,6 @@
 
       <seglistitem>
-        <seg>Bash, Binutils, Coreutils, Diffutils, GCC, Glibc, and Make</seg>
+        <seg>Bash, Binutils, Coreutils, Diffutils, GCC, Glibc, Make,
+        and Patch</seg>
       </seglistitem>
     </segmentedlist>
Index: final-system/common/coreutils.xml
===================================================================
--- final-system/common/coreutils.xml	(revision db38a36a4ebb83c422f1f280fa2b0c1157adc92c)
+++ final-system/common/coreutils.xml	(revision 0636f6ce37ce401d447cccc404b04106cfd11023)
@@ -26,5 +26,5 @@
       <seglistitem>
         <seg>Bash, Binutils, Coreutils, Diffutils, GCC,
-        Gettext, Glibc, Grep, Make, Perl, and Sed</seg>
+        Gettext, Glibc, Grep, Make, Patch, Perl, and Sed</seg>
       </seglistitem>
     </segmentedlist>
Index: final-system/common/flex.xml
===================================================================
--- final-system/common/flex.xml	(revision db38a36a4ebb83c422f1f280fa2b0c1157adc92c)
+++ final-system/common/flex.xml	(revision 0636f6ce37ce401d447cccc404b04106cfd11023)
@@ -26,5 +26,5 @@
       <seglistitem>
         <seg>Bash, Binutils, Bison, Coreutils, Diffutils,
-        GCC, Gettext, Glibc, Grep, M4, Make, and Sed</seg>
+        GCC, Gettext, Glibc, Grep, M4, Make, Patch, and Sed</seg>
       </seglistitem>
     </segmentedlist>
Index: final-system/common/gawk.xml
===================================================================
--- final-system/common/gawk.xml	(revision db38a36a4ebb83c422f1f280fa2b0c1157adc92c)
+++ final-system/common/gawk.xml	(revision 0636f6ce37ce401d447cccc404b04106cfd11023)
@@ -26,5 +26,5 @@
       <seglistitem>
         <seg>Bash, Binutils, Coreutils, Diffutils, GCC, Gettext,
-        Glibc, Grep, Make, and Sed</seg>
+        Glibc, Grep, Make, Patch, and Sed</seg>
       </seglistitem>
     </segmentedlist>
Index: final-system/common/gcc.xml
===================================================================
--- final-system/common/gcc.xml	(revision db38a36a4ebb83c422f1f280fa2b0c1157adc92c)
+++ final-system/common/gcc.xml	(revision 0636f6ce37ce401d447cccc404b04106cfd11023)
@@ -25,6 +25,6 @@
 
       <seglistitem>
-        <seg>Bash, Binutils, Coreutils, Diffutils, Findutils,
-        Gawk, Gettext, Glibc, Grep, Make, Perl, Sed, and Texinfo</seg>
+        <seg>Bash, Binutils, Coreutils, DejaGNU, Diffutils, Expect, Findutils,
+        Gawk, Gettext, Glibc, Grep, Make, Patch, Perl, Sed, Tcl, and Texinfo</seg>
       </seglistitem>
     </segmentedlist>
Index: final-system/common/glibc.xml
===================================================================
--- final-system/common/glibc.xml	(revision db38a36a4ebb83c422f1f280fa2b0c1157adc92c)
+++ final-system/common/glibc.xml	(revision 0636f6ce37ce401d447cccc404b04106cfd11023)
@@ -28,5 +28,5 @@
       <seglistitem>
         <seg>Bash, Binutils, Coreutils, Diffutils, Gawk, GCC, Gettext,
-        Grep, Make, Perl, Sed, and Texinfo</seg>
+        Grep, Make, Patch, Perl, Sed, and Texinfo</seg>
       </seglistitem>
     </segmentedlist>
Index: final-system/common/gzip.xml
===================================================================
--- final-system/common/gzip.xml	(revision db38a36a4ebb83c422f1f280fa2b0c1157adc92c)
+++ final-system/common/gzip.xml	(revision 0636f6ce37ce401d447cccc404b04106cfd11023)
@@ -26,5 +26,5 @@
       <seglistitem>
         <seg>Bash, Binutils, Coreutils, Diffutils,
-        GCC, Glibc, Grep, Make, and Sed</seg>
+        GCC, Glibc, Grep, Make, Patch, and Sed</seg>
       </seglistitem>
     </segmentedlist>
Index: final-system/common/hotplug.xml
===================================================================
--- final-system/common/hotplug.xml	(revision db38a36a4ebb83c422f1f280fa2b0c1157adc92c)
+++ final-system/common/hotplug.xml	(revision 0636f6ce37ce401d447cccc404b04106cfd11023)
@@ -29,5 +29,5 @@
 
       <seglistitem>
-        <seg>Bash, Coreutils, Find, Gawk, and Make</seg>
+        <seg>Bash, Coreutils, Findutils, Gawk, and Make</seg>
       </seglistitem>
     </segmentedlist>
Index: final-system/common/iana-etc.xml
===================================================================
--- final-system/common/iana-etc.xml	(revision db38a36a4ebb83c422f1f280fa2b0c1157adc92c)
+++ final-system/common/iana-etc.xml	(revision 0636f6ce37ce401d447cccc404b04106cfd11023)
@@ -12,5 +12,5 @@
 
   <indexterm zone="ch-system-iana-etc">
-    <primary sortas="a-Iana-Etc">Iana-Etc</primary>
+    <primary sortas="a-Iana-Etc">Coreutils, Gawk, and Iana-Etc</primary>
   </indexterm>
 
@@ -25,5 +25,5 @@
 
       <seglistitem>
-        <seg>Make</seg>
+        <seg>Coreutils, Gawk, and Make</seg>
       </seglistitem>
     </segmentedlist>
Index: final-system/common/inetutils.xml
===================================================================
--- final-system/common/inetutils.xml	(revision db38a36a4ebb83c422f1f280fa2b0c1157adc92c)
+++ final-system/common/inetutils.xml	(revision 0636f6ce37ce401d447cccc404b04106cfd11023)
@@ -25,5 +25,5 @@
       <seglistitem>
         <seg>Bash, Binutils, Coreutils, Diffutils, GCC, Glibc, Grep,
-        Make, Ncurses, and Sed</seg>
+        Make, Ncurses, Patch, and Sed</seg>
       </seglistitem>
     </segmentedlist>
Index: final-system/common/iproute2.xml
===================================================================
--- final-system/common/iproute2.xml	(revision db38a36a4ebb83c422f1f280fa2b0c1157adc92c)
+++ final-system/common/iproute2.xml	(revision 0636f6ce37ce401d447cccc404b04106cfd11023)
@@ -25,5 +25,5 @@
 
       <seglistitem>
-        <seg>GCC, Glibc, Make, Linux-Headers, and Sed</seg>
+        <seg>Bash, GCC, Glibc, Make, Linux-Headers, and Sed</seg>
       </seglistitem>
     </segmentedlist>
Index: final-system/common/kbd.xml
===================================================================
--- final-system/common/kbd.xml	(revision db38a36a4ebb83c422f1f280fa2b0c1157adc92c)
+++ final-system/common/kbd.xml	(revision 0636f6ce37ce401d447cccc404b04106cfd11023)
@@ -25,6 +25,6 @@
 
       <seglistitem>
-        <seg>Bash, Binutils, Bison, Coreutils, Diffutils, GCC, Gettext,
-        Glibc, Grep, Gzip, M4, Make, and Sed</seg>
+        <seg>Bash, Binutils, Bison, Coreutils, Diffutils, Flex, GCC, Gettext,
+        Glibc, Grep, Gzip, M4, Make, Patch, and Sed</seg>
       </seglistitem>
     </segmentedlist>
Index: final-system/common/man.xml
===================================================================
--- final-system/common/man.xml	(revision db38a36a4ebb83c422f1f280fa2b0c1157adc92c)
+++ final-system/common/man.xml	(revision 0636f6ce37ce401d447cccc404b04106cfd11023)
@@ -25,6 +25,6 @@
 
       <seglistitem>
-        <seg>Bash, Binutils, Coreutils, Gawk, GCC, Glibc, Grep,
-        Make, and Sed</seg>
+        <seg>Bash, Bzip2, Binutils, Coreutils, Diffutils, Gawk, Gzip,
+        GCC, Glibc, Grep, Less, Make, and Sed</seg>
       </seglistitem>
     </segmentedlist>
Index: final-system/common/mktemp.xml
===================================================================
--- final-system/common/mktemp.xml	(revision db38a36a4ebb83c422f1f280fa2b0c1157adc92c)
+++ final-system/common/mktemp.xml	(revision 0636f6ce37ce401d447cccc404b04106cfd11023)
@@ -25,5 +25,5 @@
 
       <seglistitem>
-        <seg>Coreutils, Make, and Patch</seg>
+        <seg>Coreutils, Make, Patch, and Zlib</seg>
       </seglistitem>
     </segmentedlist>
Index: final-system/common/module-init-tools.xml
===================================================================
--- final-system/common/module-init-tools.xml	(revision db38a36a4ebb83c422f1f280fa2b0c1157adc92c)
+++ final-system/common/module-init-tools.xml	(revision 0636f6ce37ce401d447cccc404b04106cfd11023)
@@ -26,5 +26,5 @@
       <seglistitem>
         <seg>Bash, Binutils, Bison, Coreutils, Diffutils, GCC, Glibc,
-        Grep, M4, Make, and Sed</seg>
+        Grep, M4, Make, Sed, and Zlib</seg>
       </seglistitem>
     </segmentedlist>
Index: final-system/common/perl.xml
===================================================================
--- final-system/common/perl.xml	(revision db38a36a4ebb83c422f1f280fa2b0c1157adc92c)
+++ final-system/common/perl.xml	(revision 0636f6ce37ce401d447cccc404b04106cfd11023)
@@ -26,5 +26,5 @@
       <seglistitem>
         <seg>Bash, Binutils, Coreutils, Diffutils,
-        Gawk, GCC, Glibc, Grep, Make, and Sed</seg>
+        Gawk, GCC, Glibc, Grep, Iana-Etc, Make, Patch, and Sed</seg>
       </seglistitem>
     </segmentedlist>
Index: final-system/common/readline.xml
===================================================================
--- final-system/common/readline.xml	(revision db38a36a4ebb83c422f1f280fa2b0c1157adc92c)
+++ final-system/common/readline.xml	(revision 0636f6ce37ce401d447cccc404b04106cfd11023)
@@ -26,5 +26,5 @@
       <seglistitem>
         <seg>Binutils, Coreutils, Diffutils, Gawk,
-        GCC, Glibc, Grep, Make, Ncurses, and Sed</seg>
+        GCC, Glibc, Grep, Make, Ncurses, Patch, and Sed</seg>
       </seglistitem>
     </segmentedlist>
Index: final-system/common/sed.xml
===================================================================
--- final-system/common/sed.xml	(revision db38a36a4ebb83c422f1f280fa2b0c1157adc92c)
+++ final-system/common/sed.xml	(revision 0636f6ce37ce401d447cccc404b04106cfd11023)
@@ -25,5 +25,5 @@
       <seglistitem>
         <seg>Bash, Binutils, Coreutils, Diffutils, GCC, Gettext, Glibc,
-        Grep, Make, and Texinfo</seg>
+        Grep, Make, Sed, and Texinfo</seg>
       </seglistitem>
     </segmentedlist>
Index: final-system/common/shadow.xml
===================================================================
--- final-system/common/shadow.xml	(revision db38a36a4ebb83c422f1f280fa2b0c1157adc92c)
+++ final-system/common/shadow.xml	(revision 0636f6ce37ce401d447cccc404b04106cfd11023)
@@ -26,5 +26,5 @@
       <seglistitem>
         <seg>Bash, Binutils, Bison, Coreutils, Diffutils, GCC, Gettext,
-        Glibc, Grep, Make, and Sed</seg>
+        Glibc, Grep, Make, Patch, and Sed</seg>
       </seglistitem>
     </segmentedlist>
Index: final-system/common/sysklogd.xml
===================================================================
--- final-system/common/sysklogd.xml	(revision db38a36a4ebb83c422f1f280fa2b0c1157adc92c)
+++ final-system/common/sysklogd.xml	(revision 0636f6ce37ce401d447cccc404b04106cfd11023)
@@ -25,5 +25,5 @@
 
       <seglistitem>
-        <seg>Binutils, Coreutils, GCC, Glibc, Make</seg>
+        <seg>Binutils, Coreutils, GCC, Glibc, Make, and Patch</seg>
       </seglistitem>
     </segmentedlist>
Index: final-system/common/sysvinit.xml
===================================================================
--- final-system/common/sysvinit.xml	(revision db38a36a4ebb83c422f1f280fa2b0c1157adc92c)
+++ final-system/common/sysvinit.xml	(revision 0636f6ce37ce401d447cccc404b04106cfd11023)
@@ -24,5 +24,5 @@
 
       <seglistitem>
-        <seg>Binutils, Coreutils, GCC, Glibc, and Make</seg>
+        <seg>Binutils, Coreutils, GCC, Glibc, Make, and Sed</seg>
       </seglistitem>
     </segmentedlist>
Index: final-system/common/tar.xml
===================================================================
--- final-system/common/tar.xml	(revision db38a36a4ebb83c422f1f280fa2b0c1157adc92c)
+++ final-system/common/tar.xml	(revision 0636f6ce37ce401d447cccc404b04106cfd11023)
@@ -24,6 +24,6 @@
 
       <seglistitem>
-        <seg>Bash, Binutils, Coreutils, Diffutils, GCC, Gettext, Glibc,
-        Grep, Make, and Sed</seg>
+        <seg>Bash, Binutils, Bzip2, Coreutils, Diffutils, GCC, Gettext, Glibc,
+        Gzip, Grep, Make, Patch, and Sed</seg>
       </seglistitem>
     </segmentedlist>
Index: final-system/common/texinfo.xml
===================================================================
--- final-system/common/texinfo.xml	(revision db38a36a4ebb83c422f1f280fa2b0c1157adc92c)
+++ final-system/common/texinfo.xml	(revision 0636f6ce37ce401d447cccc404b04106cfd11023)
@@ -26,5 +26,5 @@
       <seglistitem>
         <seg>Bash, Binutils, Coreutils, Diffutils, GCC, Gettext, Glibc,
-        Grep, Make, Ncurses, and Sed</seg>
+        Grep, Make, Ncurses, Patch, and Sed</seg>
       </seglistitem>
     </segmentedlist>
Index: final-system/common/udev.xml
===================================================================
--- final-system/common/udev.xml	(revision db38a36a4ebb83c422f1f280fa2b0c1157adc92c)
+++ final-system/common/udev.xml	(revision 0636f6ce37ce401d447cccc404b04106cfd11023)
@@ -25,5 +25,5 @@
 
       <seglistitem>
-        <seg>Coreutils, Make, and Tree</seg>
+        <seg>Coreutils, GCC, Make, Perl, and Tree</seg>
       </seglistitem>
     </segmentedlist>
Index: final-system/common/util-linux.xml
===================================================================
--- final-system/common/util-linux.xml	(revision db38a36a4ebb83c422f1f280fa2b0c1157adc92c)
+++ final-system/common/util-linux.xml	(revision 0636f6ce37ce401d447cccc404b04106cfd11023)
@@ -27,5 +27,6 @@
       <seglistitem>
         <seg>Bash, Binutils, Coreutils,
-        Diffutils, GCC, Gettext, Glibc, Grep, Make, Ncurses, Sed, and Zlib</seg>
+        Diffutils, GCC, Gettext, Glibc, Grep, Make, Ncurses, Patch,
+        Sed, and Zlib</seg>
       </seglistitem>
     </segmentedlist>
Index: final-system/x86/grub.xml
===================================================================
--- final-system/x86/grub.xml	(revision db38a36a4ebb83c422f1f280fa2b0c1157adc92c)
+++ final-system/x86/grub.xml	(revision 0636f6ce37ce401d447cccc404b04106cfd11023)
@@ -48,23 +48,16 @@
 
     <para os="e">To test the results, issue:
-    <userinput>sed -i '/ufs2/d' stage2/size_test &amp;&amp;
-    make check</userinput>.</para>
+    <userinput>make check</userinput>.</para>
 
-    <para os="f">The UFS test is known to fail due to a compiler issue. The failure
-    prevents the rest of the tests from being run, so the <command>sed</command>
-    command is used to avoid the failure. The UFS test failure can be ignored
-    unless you plan to boot from a UFS partition. The partitions are normally
-    only used by Sun workstations.</para>
+    <para os="f">Install the package:</para>
 
-    <para os="g">Install the package:</para>
-
-<screen os="h"><userinput>make install
+<screen os="g"><userinput>make install
 mkdir /boot/grub
 cp /usr/lib/grub/i386-pc/stage{1,2} /boot/grub</userinput></screen>
 
-    <para os="i">Replace <filename class="directory">i386-pc</filename> with whatever
+    <para os="h">Replace <filename class="directory">i386-pc</filename> with whatever
     directory is appropriate for the hardware in use.</para>
 
-    <para os="j">The <filename class="directory">i386-pc</filename> directory
+    <para os="i">The <filename class="directory">i386-pc</filename> directory
     contains a number of <filename>*stage1_5</filename> files, different
     ones for different file systems. Review the files available and copy
Index: final-system/x86/linux-libc-headers.xml
===================================================================
--- final-system/x86/linux-libc-headers.xml	(revision db38a36a4ebb83c422f1f280fa2b0c1157adc92c)
+++ final-system/x86/linux-libc-headers.xml	(revision 0636f6ce37ce401d447cccc404b04106cfd11023)
@@ -25,5 +25,5 @@
 
       <seglistitem>
-        <seg>Coreutils</seg>
+        <seg>Coreutils and Findutils</seg>
       </seglistitem>
     </segmentedlist>
Index: introduction/common/changelog.xml
===================================================================
--- introduction/common/changelog.xml	(revision db38a36a4ebb83c422f1f280fa2b0c1157adc92c)
+++ introduction/common/changelog.xml	(revision 0636f6ce37ce401d447cccc404b04106cfd11023)
@@ -36,4 +36,14 @@
     </listitem>
 -->
+    <listitem>
+      <para>December 30, 2005</para>
+      <itemizedlist>
+        <listitem>
+          <para>[Chris] - Updated package dependencies, removed explanation of
+          "target alias" and "cross-compiling" from final-system binutils, and
+          removed note about GRUB's testsuite failure.</para>
+        </listitem>
+      </itemizedlist>
+    </listitem>      
 
     <listitem>
Index: testsuite-tools/common/dejagnu.xml
===================================================================
--- testsuite-tools/common/dejagnu.xml	(revision db38a36a4ebb83c422f1f280fa2b0c1157adc92c)
+++ testsuite-tools/common/dejagnu.xml	(revision 0636f6ce37ce401d447cccc404b04106cfd11023)
@@ -25,6 +25,6 @@
 
       <seglistitem>
-        <seg>Bash, Binutils, Coreutils, Diffutils,
-        GCC, Glibc, Grep, Make, and Sed</seg>
+        <seg>Bash, Binutils, Coreutils, Diffutils, Expect,
+        GCC, Glibc, Grep, Make, Sed, and Tcl</seg>
       </seglistitem>
     </segmentedlist>
Index: testsuite-tools/common/expect.xml
===================================================================
--- testsuite-tools/common/expect.xml	(revision db38a36a4ebb83c422f1f280fa2b0c1157adc92c)
+++ testsuite-tools/common/expect.xml	(revision 0636f6ce37ce401d447cccc404b04106cfd11023)
@@ -26,5 +26,5 @@
       <seglistitem>
         <seg>Bash, Binutils, Coreutils, Diffutils,
-        GCC, Glibc, Grep, Make, Sed, and Tcl</seg>
+        GCC, Glibc, Grep, Make, Patch, Sed, and Tcl</seg>
       </seglistitem>
     </segmentedlist>